Debian Bug report logs - #354622
Uses Mozilla Firefox trademark without permission

version graph

Package: firefox; Maintainer for firefox is (unknown);

Reported by: Mike Connor <mconnor@mozilla.com>

Date: Mon, 27 Feb 2006 20:18:04 UTC

Severity: serious

Found in version 1.5.dfsg+1.5.0.7-2

Fixed in version 2.0+dfsg-1

Done: Andreas Barth <aba@not.so.argh.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Connor <mconnor@mozilla.com>:
New Bug report received and forwarded. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Connor <mconnor@mozilla.com>
To: submit@bugs.debian.org
Subject: Using Firefox as the app name without official branding is still a trademark violation
Date: Mon, 27 Feb 2006 15:01:01 -0500
Package: firefox
Version: 1.5.dfsg+1.5.0.1-2
Severity: serious

Firefox (the name) is equally protected and controlled by the same 
trademark policy and legal requirements as the Firefox logo.  You're 
free to use any other name for the browser bits, but calling the browser 
Firefox requires the same approvals as are required for using the logo 
and other artwork.



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #10 received at 354622@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Mike Connor <mconnor@mozilla.com>, 354622@bugs.debian.org
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Wed, 1 Mar 2006 00:07:14 -0800
[Message part 1 (text/plain, inline)]
Hi Mike,

On Mon, Feb 27, 2006 at 03:01:01PM -0500, Mike Connor wrote:
> Package: firefox
> Version: 1.5.dfsg+1.5.0.1-2
> Severity: serious

> Firefox (the name) is equally protected and controlled by the same 
> trademark policy and legal requirements as the Firefox logo.  You're 
> free to use any other name for the browser bits, but calling the browser 
> Firefox requires the same approvals as are required for using the logo 
> and other artwork.

The trademark policy for firefox marks has been discussed repeatedly in the
Debian community, and it is my understanding that the Mozilla Foundation
*has* extended a trademark license to Debian so long as changes we make to
the software remain within certain reasonable limits.  Are you saying that
there's a problem with the packages which invalidates that license, or that
the Mozilla Foundation is rescinding that license, or what?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 354622@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Steve Langasek <vorlon@debian.org>, 354622@bugs.debian.org
Cc: Mike Connor <mconnor@mozilla.com>
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Sun, 5 Mar 2006 00:59:25 -0500
[Message part 1 (text/plain, inline)]
severity 354622 important
thanks

* Steve Langasek (vorlon@debian.org) wrote:
> Hi Mike,
> 
> On Mon, Feb 27, 2006 at 03:01:01PM -0500, Mike Connor wrote:
> > Package: firefox
> > Version: 1.5.dfsg+1.5.0.1-2
> > Severity: serious
> 
> > Firefox (the name) is equally protected and controlled by the same 
> > trademark policy and legal requirements as the Firefox logo.  You're 
> > free to use any other name for the browser bits, but calling the browser 
> > Firefox requires the same approvals as are required for using the logo 
> > and other artwork.
> 
> The trademark policy for firefox marks has been discussed repeatedly in the
> Debian community, and it is my understanding that the Mozilla Foundation
> *has* extended a trademark license to Debian so long as changes we make to
> the software remain within certain reasonable limits.  Are you saying that
> there's a problem with the packages which invalidates that license, or that
> the Mozilla Foundation is rescinding that license, or what?

Indeed, please see
http://lists.debian.org/debian-devel-announce/2005/07/msg00002.html.


-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GCS d- s++: a-- C+++ UL+++ P++ L++ E++ W++ N+ o K- w+ 
O? M++ V-- PS+ PE Y+ PGP++ t++ 5++ X+ R tv++ b+++ DI+ D+ 
G e h! r- y+ 
------END GEEK CODE BLOCK------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Connor <mconnor@mozilla.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #20 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Connor <mconnor@mozilla.com>
To: Eric Dorland <eric@debian.org>
Cc: Steve Langasek <vorlon@debian.org>, 354622@bugs.debian.org
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Sun, 05 Mar 2006 01:31:30 -0500
Eric Dorland wrote:
> severity 354622 important
> thanks
>
> * Steve Langasek (vorlon@debian.org) wrote:
>   
>> Hi Mike,
>>
>> On Mon, Feb 27, 2006 at 03:01:01PM -0500, Mike Connor wrote:
>>     
>>> Package: firefox
>>> Version: 1.5.dfsg+1.5.0.1-2
>>> Severity: serious
>>>       
>>> Firefox (the name) is equally protected and controlled by the same 
>>> trademark policy and legal requirements as the Firefox logo.  You're 
>>> free to use any other name for the browser bits, but calling the browser 
>>> Firefox requires the same approvals as are required for using the logo 
>>> and other artwork.
>>>       
>> The trademark policy for firefox marks has been discussed repeatedly in the
>> Debian community, and it is my understanding that the Mozilla Foundation
>> *has* extended a trademark license to Debian so long as changes we make to
>> the software remain within certain reasonable limits.  Are you saying that
>> there's a problem with the packages which invalidates that license, or that
>> the Mozilla Foundation is rescinding that license, or what?
>>     
>
> Indeed, please see
> http://lists.debian.org/debian-devel-announce/2005/07/msg00002.html.
>   
To my knowledge, each patchset that deviates from what we ship should be 
run by whoever is doing licensing approvals (this is in progress with 
various distributions already).  Its hard, if not impossible, to define 
a set of guidelines that is crystal clear and doesn't need human 
oversight.  Novell and Red Hat already do this.

The key problem is that there is code, and a build switch, that 
explicitly handles the official branding/logos vs. the generic 
name/artwork, and the package maintainer has chosen to break this switch 
by making the unofficial side of the switch also label itself as 
Firefox.  I don't understand the motivations here, since the changelog I 
saw isn't visible (packages.debian.org is still being weird) but the 
gist of it was "avoid using the official branding switch" which seems 
like one of those "makes it harder to undo" steps since people actually 
would have to change code instead of build options to not be bound by 
those terms.  If users don't build with the official branding, its 
because they are not accepting the terms of using things bound up in 
trademark law.  Doing things this way implies that only the artwork is 
part of the official branding, as opposed to the name as well.

Why can't you just use the official branding switch, anyway?



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #25 received at 354622@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Mike Connor <mconnor@mozilla.com>, 354622@bugs.debian.org
Cc: Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Sun, 5 Mar 2006 04:01:44 -0500
[Message part 1 (text/plain, inline)]
* Mike Connor (mconnor@mozilla.com) wrote:
> Eric Dorland wrote:
> >severity 354622 important
> >thanks
> >
> >* Steve Langasek (vorlon@debian.org) wrote:
> >  
> >>Hi Mike,
> >>
> >>On Mon, Feb 27, 2006 at 03:01:01PM -0500, Mike Connor wrote:
> >>    
> >>>Package: firefox
> >>>Version: 1.5.dfsg+1.5.0.1-2
> >>>Severity: serious
> >>>      
> >>>Firefox (the name) is equally protected and controlled by the same 
> >>>trademark policy and legal requirements as the Firefox logo.  You're 
> >>>free to use any other name for the browser bits, but calling the browser 
> >>>Firefox requires the same approvals as are required for using the logo 
> >>>and other artwork.
> >>>      
> >>The trademark policy for firefox marks has been discussed repeatedly in 
> >>the
> >>Debian community, and it is my understanding that the Mozilla Foundation
> >>*has* extended a trademark license to Debian so long as changes we make to
> >>the software remain within certain reasonable limits.  Are you saying that
> >>there's a problem with the packages which invalidates that license, or 
> >>that
> >>the Mozilla Foundation is rescinding that license, or what?
> >>    
> >
> >Indeed, please see
> >http://lists.debian.org/debian-devel-announce/2005/07/msg00002.html.
> >  
> To my knowledge, each patchset that deviates from what we ship should be 
> run by whoever is doing licensing approvals (this is in progress with 
> various distributions already).  Its hard, if not impossible, to define 
> a set of guidelines that is crystal clear and doesn't need human 
> oversight.  Novell and Red Hat already do this.

Did you read what Steve said? We've been give permission to use the
Firefox trademark by the Mozilla Foundation, and it's there job to
police whether we're using it as a "mark of quality" or what not.

> The key problem is that there is code, and a build switch, that 
> explicitly handles the official branding/logos vs. the generic 
> name/artwork, and the package maintainer has chosen to break this switch 
> by making the unofficial side of the switch also label itself as 
> Firefox.  I don't understand the motivations here, since the changelog I 
> saw isn't visible (packages.debian.org is still being weird) but the 
> gist of it was "avoid using the official branding switch" which seems 
> like one of those "makes it harder to undo" steps since people actually 
> would have to change code instead of build options to not be bound by 
> those terms.  If users don't build with the official branding, its 
> because they are not accepting the terms of using things bound up in 
> trademark law.  Doing things this way implies that only the artwork is 
> part of the official branding, as opposed to the name as well.

I had to break the switch, because I need to call it Firefox, but I
can't include the official graphics. 

> Why can't you just use the official branding switch, anyway?

Because it uses graphics which have a non-free copyright license.  

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GCS d- s++: a-- C+++ UL+++ P++ L++ E++ W++ N+ o K- w+ 
O? M++ V-- PS+ PE Y+ PGP++ t++ 5++ X+ R tv++ b+++ DI+ D+ 
G e h! r- y+ 
------END GEEK CODE BLOCK------
[signature.asc (application/pgp-signature, inline)]

Severity set to `important'. Request was from Eric Dorland <eric@kuroneko.ca> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Connor <mconnor@mozilla.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #34 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Connor <mconnor@mozilla.com>
To: Eric Dorland <eric@debian.org>
Cc: 354622@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Mon, 18 Sep 2006 16:27:51 -0400
Sorry for dropping this a while back, we didn't have enough bandwidth to 
track this down...

Eric Dorland wrote:
>>
>> To my knowledge, each patchset that deviates from what we ship should be 
>> run by whoever is doing licensing approvals (this is in progress with 
>> various distributions already).  Its hard, if not impossible, to define 
>> a set of guidelines that is crystal clear and doesn't need human 
>> oversight.  Novell and Red Hat already do this.
>>     
>
> Did you read what Steve said? We've been give permission to use the
> Firefox trademark by the Mozilla Foundation, and it's there job to
> police whether we're using it as a "mark of quality" or what not.
>   

Since its inception (September 2005), Mozilla Corporation has been 
handling approvals.  The way this works (and the way Red Hat and Novell 
have already gone through the process for 1.0 and 1.5) is that you have 
to submit patches that deviate from the source tarballs in order to 
continue to use the trademark.

This is us attempting to tell you that what you are doing is not correct 
and needs to change.  We also need to go over the rest of the patchset, 
but this is the most glaring issue that must be fixed.  This came back 
up again when people realized Ubuntu has the same change, and because of 
the way in which you did this, anyone shipping a derivative of Debian 
will get the trademarked name even when not building with official 
branding off.  To repeat, this is not acceptable, and we need to work 
together to find an appropriate solution.

>> The key problem is that there is code, and a build switch, that 
>> explicitly handles the official branding/logos vs. the generic 
>> name/artwork, and the package maintainer has chosen to break this switch 
>> by making the unofficial side of the switch also label itself as 
>> Firefox.  I don't understand the motivations here, since the changelog I 
>> saw isn't visible (packages.debian.org is still being weird) but the 
>> gist of it was "avoid using the official branding switch" which seems 
>> like one of those "makes it harder to undo" steps since people actually 
>> would have to change code instead of build options to not be bound by 
>> those terms.  If users don't build with the official branding, its 
>> because they are not accepting the terms of using things bound up in 
>> trademark law.  Doing things this way implies that only the artwork is 
>> part of the official branding, as opposed to the name as well.
>>     
>
> I had to break the switch, because I need to call it Firefox, but I
> can't include the official graphics. 
>   

I've confirmed that this isn't acceptable usage of the trademark.  If 
you are going to use the Firefox name, you must also use the rest of the 
branding.

>> Why can't you just use the official branding switch, anyway?
>>     
>
> Because it uses graphics which have a non-free copyright license.  
>   

This is not something where you are free to pick what parts you want to 
use.  Either use the trademarked logos and name together or don't.  The 
name is trademarked in the exact same way as the logo, so I fail to see 
how you can argue that one is acceptable to use and the other is not.  
Maybe there's a technicality, but the name is just as free as the logos...

-- Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #39 received at 354622@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Mike Connor <mconnor@mozilla.com>
Cc: Eric Dorland <eric@debian.org>, 354622@bugs.debian.org
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Mon, 18 Sep 2006 16:16:59 -0700
Hi Mike,

On Mon, Sep 18, 2006 at 04:27:51PM -0400, Mike Connor wrote:
> Sorry for dropping this a while back, we didn't have enough bandwidth to 
> track this down...

Understood; seems to be a common enough problem. :)

> >>The key problem is that there is code, and a build switch, that 
> >>explicitly handles the official branding/logos vs. the generic 
> >>name/artwork, and the package maintainer has chosen to break this switch 
> >>by making the unofficial side of the switch also label itself as 
> >>Firefox.  I don't understand the motivations here, since the changelog I 
> >>saw isn't visible (packages.debian.org is still being weird) but the 
> >>gist of it was "avoid using the official branding switch" which seems 
> >>like one of those "makes it harder to undo" steps since people actually 
> >>would have to change code instead of build options to not be bound by 
> >>those terms.  If users don't build with the official branding, its 
> >>because they are not accepting the terms of using things bound up in 
> >>trademark law.  Doing things this way implies that only the artwork is 
> >>part of the official branding, as opposed to the name as well.

> >I had to break the switch, because I need to call it Firefox, but I
> >can't include the official graphics. 

> I've confirmed that this isn't acceptable usage of the trademark.  If 
> you are going to use the Firefox name, you must also use the rest of the 
> branding.

If Eric's statement that the firefox logos are distributed under a non-free
copyright license remains accurate, then it seems that ultimately, the only
acceptable solution to Debian would unfortunately be to stop using the
firefox name altogether.  So I'm hoping we can find a middle ground
somewhere.

> >>Why can't you just use the official branding switch, anyway?

> >Because it uses graphics which have a non-free copyright license.  

> This is not something where you are free to pick what parts you want to 
> use.  Either use the trademarked logos and name together or don't.  The 
> name is trademarked in the exact same way as the logo, so I fail to see 
> how you can argue that one is acceptable to use and the other is not.  
> Maybe there's a technicality, but the name is just as free as the logos...

The distinction here is that the firefox name is just a name, covered only
by trademark law (not by copyright law), but a logo is a work of art,
covered both by copyright law and trademark law.  Applying trademark-*like*
restrictions on a work of art in its copyright license prevents our users
from doing things with that work that they are allowed to do with other free
artwork, *and* which are permitted under trademark law.  For instance, a
trademark is limited to a field of endeavour, so using the logo in an
unrelated field is permitted by trademark law but not permitted by the
copyright license; or, a logo may be used as a starting point for another
work of art which is a derivative *work* under copyright law, but is not a
derivative *mark* under trademark law.

These are corner cases, but they are nevertheless important to Debian, as
we're committed to providing our users an operating system consisting
entirely of material that they have the right to modify, reuse, and
redistribute (trademarks not withstanding).  Of course, we've had problems
living up to this even where our own trademarks are concerned, so Debian as
a whole is likely to be forgiving of logo licensing problems in the near
term, but the package maintainers don't *have* to avail themselves of such
leniency, and it's my understanding that Eric has already decided it's in
Debian's best interest to not ship the logos under a non-free copyright
license.

Is the sticking point in all of this truly that the Mozilla Foundation finds
it unacceptable to ship a browser named firefox which uses the
non-trademarked logos, or is it that we've broken the configure option that
others are expected to use when getting the un-branded version?  I.e., would
it be suitable if Debian updated its patch to add a separate "name but no
logos" configure option, leaving the original "no name, no logos" option
intact?

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Connor <mconnor@mozilla.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #44 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Connor <mconnor@mozilla.com>
To: Steve Langasek <vorlon@debian.org>
Cc: Eric Dorland <eric@debian.org>, 354622@bugs.debian.org
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Tue, 19 Sep 2006 00:55:55 -0400
Steve Langasek wrote:
>> I've confirmed that this isn't acceptable usage of the trademark.  If 
>> you are going to use the Firefox name, you must also use the rest of the 
>> branding.
>>     
>
> If Eric's statement that the firefox logos are distributed under a non-free
> copyright license remains accurate, then it seems that ultimately, the only
> acceptable solution to Debian would unfortunately be to stop using the
> firefox name altogether.  So I'm hoping we can find a middle ground
> somewhere.
>   

Are the Debian logos and trademarks free?  From what I've been able to 
find via Google, it doesn't seem like they are.  Is there some sort of 
convenient rebranding switch that creators of derivative distributions 
can use?  One possible solution is to comply with our requirements for 
your own distro, but link the official branding switch to the Debian 
switch.  Maybe I'm assuming too much in hoping for such a 
straightforward solution?

>> This is not something where you are free to pick what parts you want to 
>> use.  Either use the trademarked logos and name together or don't.  The 
>> name is trademarked in the exact same way as the logo, so I fail to see 
>> how you can argue that one is acceptable to use and the other is not.  
>> Maybe there's a technicality, but the name is just as free as the logos...
>>     
> These are corner cases, but they are nevertheless important to Debian, as
> we're committed to providing our users an operating system consisting
> entirely of material that they have the right to modify, reuse, and
> redistribute (trademarks not withstanding).  Of course, we've had problems
> living up to this even where our own trademarks are concerned, so Debian as
> a whole is likely to be forgiving of logo licensing problems in the near
> term, but the package maintainers don't *have* to avail themselves of such
> leniency, and it's my understanding that Eric has already decided it's in
> Debian's best interest to not ship the logos under a non-free copyright
> license.
>   

Understood, but it is important to consider legal implications when 
mucking around with trademarks.  At the least, file a bug in our 
bugzilla (Marketing -> Trademark Permissions) if you want to try to get 
an exception to how things are typically done.  That said, when I asked 
cbeard (who's in charge of product/branding issues), he explicitly said 
no to this case.

If Eric wants to take a hard line on this, that's his prerogative as a 
Debian maintainer.  We are trying to establish a fairly consistent user 
experience and visual identity, and consistent use of our logos is a key 
element there.  Given that Debian does the same thing in defending and 
assuring the quality of its mark, I'm frankly not sure that there's much 
of a justification to be found for making a special exemption 
(especially with the concern that its a slippery slope, i.e. if Debian 
can, why can't CentOS use a different icon set too?)  We'd still need to 
review all of the proposed changes before we could even consider going 
beyond the standard trademark setup.

> Is the sticking point in all of this truly that the Mozilla Foundation finds
> it unacceptable to ship a browser named firefox which uses the
> non-trademarked logos, or is it that we've broken the configure option that
> others are expected to use when getting the un-branded version?  I.e., would
> it be suitable if Debian updated its patch to add a separate "name but no
> logos" configure option, leaving the original "no name, no logos" option
> intact?
>   

Really, its both.  Not being able to build without the official branding 
means that anyone creating a derivative from Debian's source packages 
will end up with our name.  But beyond that, we want both used together 
in all cases.  As a note, we use the unofficial branding icons/images 
and a codename for nightly and alpha builds, as an indicator of relative 
testing/stability/quality.   Using those logos with final releases 
breaks that convention pretty badly, and muddles the "mark of quality" 
issue quite a bit.

Ultimately, it comes back to trademark signoffs.  The process stalled 
somewhat when the person doing the trademark reviews switched jobs, so 
your turn never came, but I'm hoping to get some form of a process in 
place for getting individual changes signed off by the right people on 
our end.  In skimming the ubuntu version of the Debian patchset, I'm not 
sure I'm comfortable with some of the changes shipping with official 
branding, but this isn't the right place to discuss that.

(I'm also confused about what age of files are being patched, i.e. one 
of the last file change is to add a height to the GNOME prefwindow, 
which was landed two months before the 1.5 release, yet the "original" 
is still showing a width only.  This makes me worry about how accurate 
the diff is at this point.  Does there exist a formal set of patches 
that can be applied to a current tarball, like Fedora has?  i.e. 
http://cvs.fedora.redhat.com/viewcvs/rpms/firefox/FC-5/  If not, that is 
also a significant concern, since its hard to tell what all of the 
changes are for in such a large set of changes.)

Assuming we work something out, I can email the appropriate people 
(Eric, others?) once we have the right process in place to get those 
signoffs done (as I imagine there's going to be another review of all 
distros for Fx2 as everyone starts moving over).



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #49 received at 354622@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: Mike Connor <mconnor@mozilla.com>, 354622@bugs.debian.org
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Mon, 18 Sep 2006 23:03:19 -0400
[Message part 1 (text/plain, inline)]
* Steve Langasek (vorlon@debian.org) wrote:
> Hi Mike,
> 
> On Mon, Sep 18, 2006 at 04:27:51PM -0400, Mike Connor wrote:
> > Sorry for dropping this a while back, we didn't have enough bandwidth to 
> > track this down...
> 
> Understood; seems to be a common enough problem. :)
> 
> > >>The key problem is that there is code, and a build switch, that 
> > >>explicitly handles the official branding/logos vs. the generic 
> > >>name/artwork, and the package maintainer has chosen to break this switch 
> > >>by making the unofficial side of the switch also label itself as 
> > >>Firefox.  I don't understand the motivations here, since the changelog I 
> > >>saw isn't visible (packages.debian.org is still being weird) but the 
> > >>gist of it was "avoid using the official branding switch" which seems 
> > >>like one of those "makes it harder to undo" steps since people actually 
> > >>would have to change code instead of build options to not be bound by 
> > >>those terms.  If users don't build with the official branding, its 
> > >>because they are not accepting the terms of using things bound up in 
> > >>trademark law.  Doing things this way implies that only the artwork is 
> > >>part of the official branding, as opposed to the name as well.
> 
> > >I had to break the switch, because I need to call it Firefox, but I
> > >can't include the official graphics. 
> 
> > I've confirmed that this isn't acceptable usage of the trademark.  If 
> > you are going to use the Firefox name, you must also use the rest of the 
> > branding.
> 
> If Eric's statement that the firefox logos are distributed under a non-free
> copyright license remains accurate, then it seems that ultimately, the only
> acceptable solution to Debian would unfortunately be to stop using the
> firefox name altogether.  So I'm hoping we can find a middle ground
> somewhere.

Take at other-licenses/branding/firefox/LICENSE in current CVS:
http://lxr.mozilla.org/mozilla/source/other-licenses/branding/firefox/LICENSE.
That appears to be the only license associated with the logo and it
pretty clearly DFSG-nonfree. At the time, I asked Gervase Markham as
well if this was both a trademark license and a copyright license and
he said it was.
 
> > >>Why can't you just use the official branding switch, anyway?
> 
> > >Because it uses graphics which have a non-free copyright license.  
> 
> > This is not something where you are free to pick what parts you want to 
> > use.  Either use the trademarked logos and name together or don't.  The 
> > name is trademarked in the exact same way as the logo, so I fail to see 
> > how you can argue that one is acceptable to use and the other is not.  
> > Maybe there's a technicality, but the name is just as free as the logos...
> 
> The distinction here is that the firefox name is just a name, covered only
> by trademark law (not by copyright law), but a logo is a work of art,
> covered both by copyright law and trademark law.  Applying trademark-*like*
> restrictions on a work of art in its copyright license prevents our users
> from doing things with that work that they are allowed to do with other free
> artwork, *and* which are permitted under trademark law.  For instance, a
> trademark is limited to a field of endeavour, so using the logo in an
> unrelated field is permitted by trademark law but not permitted by the
> copyright license; or, a logo may be used as a starting point for another
> work of art which is a derivative *work* under copyright law, but is not a
> derivative *mark* under trademark law.
> 
> These are corner cases, but they are nevertheless important to Debian, as
> we're committed to providing our users an operating system consisting
> entirely of material that they have the right to modify, reuse, and
> redistribute (trademarks not withstanding).  Of course, we've had problems
> living up to this even where our own trademarks are concerned, so Debian as
> a whole is likely to be forgiving of logo licensing problems in the near
> term, but the package maintainers don't *have* to avail themselves of such
> leniency, and it's my understanding that Eric has already decided it's in
> Debian's best interest to not ship the logos under a non-free copyright
> license.
> 
> Is the sticking point in all of this truly that the Mozilla Foundation finds
> it unacceptable to ship a browser named firefox which uses the
> non-trademarked logos, or is it that we've broken the configure option that
> others are expected to use when getting the un-branded version?  I.e., would
> it be suitable if Debian updated its patch to add a separate "name but no
> logos" configure option, leaving the original "no name, no logos" option
> intact?

If that is in fact the only issue I'd be more than happy to develop
that patch. 

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@kuroneko.ca>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #54 received at 354622@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@kuroneko.ca>
To: Mike Connor <mconnor@mozilla.com>
Cc: 354622@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Mon, 18 Sep 2006 17:20:00 -0400
[Message part 1 (text/plain, inline)]
* Mike Connor (mconnor@mozilla.com) wrote:
> Sorry for dropping this a while back, we didn't have enough bandwidth to 
> track this down...
> 
> Eric Dorland wrote:
> >>
> >>To my knowledge, each patchset that deviates from what we ship should be 
> >>run by whoever is doing licensing approvals (this is in progress with 
> >>various distributions already).  Its hard, if not impossible, to define 
> >>a set of guidelines that is crystal clear and doesn't need human 
> >>oversight.  Novell and Red Hat already do this.
> >>    
> >
> >Did you read what Steve said? We've been give permission to use the
> >Firefox trademark by the Mozilla Foundation, and it's there job to
> >police whether we're using it as a "mark of quality" or what not.
> >  
> 
> Since its inception (September 2005), Mozilla Corporation has been 
> handling approvals.  The way this works (and the way Red Hat and Novell 
> have already gone through the process for 1.0 and 1.5) is that you have 
> to submit patches that deviate from the source tarballs in order to 
> continue to use the trademark.
> 
> This is us attempting to tell you that what you are doing is not correct 
> and needs to change.  We also need to go over the rest of the patchset, 
> but this is the most glaring issue that must be fixed.  This came back 
> up again when people realized Ubuntu has the same change, and because of 
> the way in which you did this, anyone shipping a derivative of Debian 
> will get the trademarked name even when not building with official 
> branding off.  To repeat, this is not acceptable, and we need to work 
> together to find an appropriate solution.

I don't think I initially realized that you were representing
Mozilla. Before we proceed, are you aware of the discussion held on
the debian-devel mailing list starting here:
http://lists.debian.org/debian-devel/2005/06/msg01160.html,
particularly Gervase's proposals. Also see
http://lists.debian.org/debian-devel-announce/2005/07/msg00002.html.
Have you spoken to Gervase about this?
 
> >>The key problem is that there is code, and a build switch, that 
> >>explicitly handles the official branding/logos vs. the generic 
> >>name/artwork, and the package maintainer has chosen to break this switch 
> >>by making the unofficial side of the switch also label itself as 
> >>Firefox.  I don't understand the motivations here, since the changelog I 
> >>saw isn't visible (packages.debian.org is still being weird) but the 
> >>gist of it was "avoid using the official branding switch" which seems 
> >>like one of those "makes it harder to undo" steps since people actually 
> >>would have to change code instead of build options to not be bound by 
> >>those terms.  If users don't build with the official branding, its 
> >>because they are not accepting the terms of using things bound up in 
> >>trademark law.  Doing things this way implies that only the artwork is 
> >>part of the official branding, as opposed to the name as well.
> >>    
> >
> >I had to break the switch, because I need to call it Firefox, but I
> >can't include the official graphics. 
> >  
> 
> I've confirmed that this isn't acceptable usage of the trademark.  If 
> you are going to use the Firefox name, you must also use the rest of the 
> branding.

This isn't possible, your branding has a non-DFSG free copyright
license. 
 
> >>Why can't you just use the official branding switch, anyway?
> >>    
> >
> >Because it uses graphics which have a non-free copyright license.  
> >  
> 
> This is not something where you are free to pick what parts you want to 
> use.  Either use the trademarked logos and name together or don't.  The 
> name is trademarked in the exact same way as the logo, so I fail to see 
> how you can argue that one is acceptable to use and the other is not.  
> Maybe there's a technicality, but the name is just as free as the logos...

My understanding is that while images are copyrightable, names are
not. So even when we accept your trademark grant, we can't accept the
copyright license on the logo. 

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Connor <mconnor@mozilla.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #59 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Connor <mconnor@mozilla.com>
To: Eric Dorland <eric@kuroneko.ca>
Cc: 354622@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Tue, 19 Sep 2006 10:24:40 -0400
On 18-Sep-06, at 5:20 PM, Eric Dorland wrote:

>> This is us attempting to tell you that what you are doing is not  
>> correct
>> and needs to change.  We also need to go over the rest of the  
>> patchset,
>> but this is the most glaring issue that must be fixed.  This came  
>> back
>> up again when people realized Ubuntu has the same change, and  
>> because of
>> the way in which you did this, anyone shipping a derivative of Debian
>> will get the trademarked name even when not building with official
>> branding off.  To repeat, this is not acceptable, and we need to work
>> together to find an appropriate solution.
>
> I don't think I initially realized that you were representing
> Mozilla. Before we proceed, are you aware of the discussion held on
> the debian-devel mailing list starting here:
> http://lists.debian.org/debian-devel/2005/06/msg01160.html,
> particularly Gervase's proposals. Also see
> http://lists.debian.org/debian-devel-announce/2005/07/msg00002.html.
> Have you spoken to Gervase about this?
>

At no time was any irrevocable and/or condition-free usage of the  
trademark granted.  Nor do I see anything about just using the name  
and not the artwork.  We have to actively manage and oversee use of  
the mark to keep (just as Debian does via STPI).  One of the last  
things I see in the June thread was this quote:

"So I believe
my best option is to ignore the trademark policy altogether and have
the Mozilla Foundation tell us when they want us to stop using their
marks. Now I originally said we shouldn't do this, but it does have
certain advantages. First of all, I think we can ignore the trademark
policy because it is only a policy, is not distributed with the
software (although having said that, that might change) and it is my
understanding that in most jurisdictions the trademark holder has to
police use of their trademark anyway."

In that light, you should consider this, as I previously said, notice  
that your usage of the trademark is not permitted in this way, and we  
are expecting a resolution.  If your choice is to cease usage of the  
trademark rather than bend the DFSG a little, that is your decision  
to make.

For what its worth, Gerv is not responsible at this time for  
trademark permissions or approvals.  As noted previously, since the  
inception of the Mozilla Corporation, we have been handling trademark  
policy and enforcement.  We didn't follow through as well as we  
should have (we only got through Novell and Red Hat's patchsets) but  
we're starting to fix that.

>> I've confirmed that this isn't acceptable usage of the trademark.  If
>> you are going to use the Firefox name, you must also use the rest  
>> of the
>> branding.
>
> This isn't possible, your branding has a non-DFSG free copyright
> license.

> My understanding is that while images are copyrightable, names are
> not. So even when we accept your trademark grant, we can't accept the
> copyright license on the logo.

Use of the trademark is subject to the conditions we determine.  As I  
said, we have an immediate problem (your invalid "workaround") and a  
larger issue (requirements for using the trademark, including patch  
signoffs).  If using the logos is simply unacceptable to Debian, then  
the immediate problem is all that really matters.

Even if using the trademark was going to be acceptable in conjunction  
with different artwork (i.e. not our nightly/alpha branding) there is  
still the matter of doing real trademark review.  Even a fast pass on  
the very very large diff reveals a number of changes that don't have  
clear justifications, or indications that the "original" tree is very  
out of date.  If Debian wants to continue to use the mark, you will  
need to provide patches for approval for any change you want to make  
from stock source.  Other Linux distributions do this already (SuSE/ 
Red Hat and asssociated distros to date, others are in progress).   
See the link to fedora CVS for an example of the patches we're  
validating against.




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@kuroneko.ca>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #64 received at 354622@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@kuroneko.ca>
To: Mike Connor <mconnor@mozilla.com>
Cc: 354622@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Wed, 20 Sep 2006 00:41:06 -0400
[Message part 1 (text/plain, inline)]
* Mike Connor (mconnor@mozilla.com) wrote:
> On 18-Sep-06, at 5:20 PM, Eric Dorland wrote:
> 
> >>This is us attempting to tell you that what you are doing is not  
> >>correct
> >>and needs to change.  We also need to go over the rest of the  
> >>patchset,
> >>but this is the most glaring issue that must be fixed.  This came  
> >>back
> >>up again when people realized Ubuntu has the same change, and  
> >>because of
> >>the way in which you did this, anyone shipping a derivative of Debian
> >>will get the trademarked name even when not building with official
> >>branding off.  To repeat, this is not acceptable, and we need to work
> >>together to find an appropriate solution.
> >
> >I don't think I initially realized that you were representing
> >Mozilla. Before we proceed, are you aware of the discussion held on
> >the debian-devel mailing list starting here:
> >http://lists.debian.org/debian-devel/2005/06/msg01160.html,
> >particularly Gervase's proposals. Also see
> >http://lists.debian.org/debian-devel-announce/2005/07/msg00002.html.
> >Have you spoken to Gervase about this?
> >
> 
> At no time was any irrevocable and/or condition-free usage of the  
> trademark granted.  Nor do I see anything about just using the name  
> and not the artwork.  We have to actively manage and oversee use of  
> the mark to keep (just as Debian does via STPI).  One of the last  
> things I see in the June thread was this quote:

I did not claim it was irrevocable or condition-free. I'm just making
sure that you're aware of the current situation before proceeding. I
should have pointed out this thread as well:
http://lists.debian.org/debian-legal/2005/01/msg00503.html. This
thread outlines the proposal that was eventually agreed to.

Please see Gerv's comments here:
http://lists.debian.org/debian-legal/2005/01/msg00757.html to see
where he agreed we did not have to use the logo. 
 
> "So I believe
> my best option is to ignore the trademark policy altogether and have
> the Mozilla Foundation tell us when they want us to stop using their
> marks. Now I originally said we shouldn't do this, but it does have
> certain advantages. First of all, I think we can ignore the trademark
> policy because it is only a policy, is not distributed with the
> software (although having said that, that might change) and it is my
> understanding that in most jurisdictions the trademark holder has to
> police use of their trademark anyway."

You're taking that strongly out of context. And it's not what was
decided in the end.

> In that light, you should consider this, as I previously said, notice  
> that your usage of the trademark is not permitted in this way, and we  
> are expecting a resolution.  If your choice is to cease usage of the  
> trademark rather than bend the DFSG a little, that is your decision  
> to make.

Is there no way that you could be convinced to split the license on
the logo to have a DSFG-free copyright license and the same,
restrictive trademark license. That would basically clear up the issue
from our perspective and IMHO not weaken your ability to enforce your
trademarks. 

If this isn't possible, could we at least get a stay of execution?
Etch is going into deep freeze in less than a month. Would it be
possible to resolve this after the release?

> For what its worth, Gerv is not responsible at this time for  
> trademark permissions or approvals.  As noted previously, since the  
> inception of the Mozilla Corporation, we have been handling trademark  
> policy and enforcement.  We didn't follow through as well as we  
> should have (we only got through Novell and Red Hat's patchsets) but  
> we're starting to fix that.

Because Gerv is not responsible anymore for the trademark permissions
and approvals, that means any agreements reached with him are null and
void? 

> >>I've confirmed that this isn't acceptable usage of the trademark.  If
> >>you are going to use the Firefox name, you must also use the rest  
> >>of the
> >>branding.
> >
> >This isn't possible, your branding has a non-DFSG free copyright
> >license.
> 
> >My understanding is that while images are copyrightable, names are
> >not. So even when we accept your trademark grant, we can't accept the
> >copyright license on the logo.
> 
> Use of the trademark is subject to the conditions we determine.  As I  
> said, we have an immediate problem (your invalid "workaround") and a  
> larger issue (requirements for using the trademark, including patch  
> signoffs).  If using the logos is simply unacceptable to Debian, then  
> the immediate problem is all that really matters.
> 
> Even if using the trademark was going to be acceptable in conjunction  
> with different artwork (i.e. not our nightly/alpha branding) there is  
> still the matter of doing real trademark review.  Even a fast pass on  
> the very very large diff reveals a number of changes that don't have  
> clear justifications, or indications that the "original" tree is very  
> out of date.  If Debian wants to continue to use the mark, you will  
> need to provide patches for approval for any change you want to make  
> from stock source.  Other Linux distributions do this already (SuSE/ 
> Red Hat and asssociated distros to date, others are in progress).   
> See the link to fedora CVS for an example of the patches we're  
> validating against.

So this means any patch we wish to apply to the source must be signed
off by Mozilla corporation before we can upload packages? What if this
is a security update, do we need to wait for you before we can update
the package?

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Connor <mconnor@mozilla.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #69 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Connor <mconnor@mozilla.com>
To: Eric Dorland <eric@kuroneko.ca>
Cc: 354622@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Wed, 20 Sep 2006 04:52:45 -0400
Eric Dorland wrote:
> Please see Gerv's comments here:
> http://lists.debian.org/debian-legal/2005/01/msg00757.html to see
> where he agreed we did not have to use the logo.
>   

Fair enough, he did make that statement.  At the time, we obviously 
weren't taking that part seriously.  We are now, and we're saying its 
not ok.

He also stated that the logos were not in the tarball, which may have 
been true at the time, but is certainly no longer true.  (see 
mozilla/other-licenses in the 1.5.0.7 tarball)

>> In that light, you should consider this, as I previously said, notice  
>> that your usage of the trademark is not permitted in this way, and we  
>> are expecting a resolution.  If your choice is to cease usage of the  
>> trademark rather than bend the DFSG a little, that is your decision  
>> to make.
>>     
>
> Is there no way that you could be convinced to split the license on
> the logo to have a DSFG-free copyright license and the same,
> restrictive trademark license. That would basically clear up the issue
> from our perspective and IMHO not weaken your ability to enforce your
> trademarks. 
>   

At this point, its highly unlikely.that we would allow any changes to 
the license that would be compliant with the DFSG, certainly not 
creation of derived works.  The logo is a powerful brand and mark on its 
own, and it would be fairly silly to give up the control of that mark in 
such a way.

> If this isn't possible, could we at least get a stay of execution?
> Etch is going into deep freeze in less than a month. Would it be
> possible to resolve this after the release?
>   

I would think it makes much more sense to resolve this before you put 
another long-lived release into the wild, unless your aim is to delay 
compliance.  Ignoring the logo issue entirely, I have grave concerns 
around the nature and quality of some of the changes the patchset 
contains, and I would like to see the changes as a set of specific 
patches before I could make any recommendation as to whether we should 
continue to allow use of the trademark.  If we were forced to revoke 
your permission to use the trademark, freeze state would not matter, you 
would be required to change all affected packages as soon as possible.  
Its not a nice thing to do, but we would do it if necessary, and we have 
done so before.

If you do have this set of patches (a question which you didn't bother 
to answer) a link would be greatly appreciated so I can get them into 
our bugzilla and get the right sets of eyes on the code.  Regardless of 
whether we're going to circle around on the logo issue, if you intend to 
continue using the mark, you need to do that ASAP.

> Because Gerv is not responsible anymore for the trademark permissions
> and approvals, that means any agreements reached with him are null and
> void? 
>   

Not necessarily, just saying I don't see a need to consult him, 
especially if something he thought was ok (splitting logos from 
wordmark) has been confirmed to not be.

> So this means any patch we wish to apply to the source must be signed
> off by Mozilla corporation before we can upload packages? What if this
> is a security update, do we need to wait for you before we can update
> the package?

Yes, if you are shipping a browser called Firefox, we should be signing 
off on every deviation from what we ship.  Yes, its time consuming, and 
yes, I can find more entertaining ways to spend my time, but its a 
necessary evil.

As for your straw man about security bugs, what security bugs would you 
be fixing with your own patches?  If there are security bugs, they 
should be fixed upstream, not in your own tree.  We've had this 
discussion repeatedly in the context of the security group, and we 
expect that branded builds of x.y.z from <insert distro here> will be 
the source tarball/cvs tag for x.y.z plus the set of approved patches.  
We do not want to get into the fools' game of cherry-picking patches, or 
individual distros deciding that Patch A isn't "security-oriented" enough.

This is all something we draw a hard line on, even for distros that have 
people contributing back to the project.  There are no free passes, nor 
should there be.  I have actually been asked recently by another distro 
maintainer whether everyone is on a fair playing field.  Right now, it 
seems to others as if Debian has a special deal, which isn't fair, and 
it needs to change.

To be honest, the more I read about the DFSG, I don't know if its 
possible to use our trademarks at all, as someone making a major change 
would not inherit the grant, and would be in violation of our trademark 
requirements, thus it isn't in the spirit of the DFSG.  I know this is 
well-trodden ground, but now that we have a process, I'm not sure you 
want to go down that path.  On the other hand, if by simply changing a 
build option, users can make unlimited changes, I think that's much 
saner than "if you make major changes, you need to change anywhere it 
says Firefox."  The current setup is even more restrictive than just 
using the switch, because the exact same restrictions on building a 
derivative version apply whether or not you use the switch, but its 
harder to be sure you've completely fixed the branding.  Debian users 
cannot freely create derivative versions of the app with or without the 
switch, so breaking the switch isn't especially helpful.

Following up with another comment to sum up.



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Connor <mconnor@mozilla.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #74 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Connor <mconnor@mozilla.com>
To: Eric Dorland <eric@kuroneko.ca>
Cc: 354622@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Wed, 20 Sep 2006 05:08:51 -0400
Just to sum everything up, since some of this is getting circular, this 
is how we have been dealing with Linux distros.  Ultimately, fair is 
fair, and unless you think Debian should get a special deal (which I 
don't think is DFSG-friendly, let alone likely to happen) , these are 
the conditions you need to get on board with:

- All changes the distributor wishes to make to the source code must be 
provided as discrete patches, along with a description of why the change 
is required
- Releases are expected to be based on the CVS tag and/or source tarball 
for the release version, plus approved patches.
- build configurations should also be submitted for approval.
- The logo and the trademark are required to be used together.

Ultimately, I don't have a lot more to say here.  The ball is in your 
court now, but you should absolutely not plan to ship without addressing 
these issues one way or another.




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #79 received at 354622@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Mike Connor <mconnor@mozilla.com>
Cc: Eric Dorland <eric@debian.org>, 354622@bugs.debian.org
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Wed, 20 Sep 2006 03:07:18 -0700
severity 354622 serious
quit

On Tue, Sep 19, 2006 at 12:55:55AM -0400, Mike Connor wrote:
> Steve Langasek wrote:
> >>I've confirmed that this isn't acceptable usage of the trademark.  If 
> >>you are going to use the Firefox name, you must also use the rest of the 
> >>branding.

> >If Eric's statement that the firefox logos are distributed under a non-free
> >copyright license remains accurate, then it seems that ultimately, the only
> >acceptable solution to Debian would unfortunately be to stop using the
> >firefox name altogether.  So I'm hoping we can find a middle ground
> >somewhere.

> Are the Debian logos and trademarks free?

No, the Debian logos are not free.  This is considered a bug.

To the extent that the DFSG addresses trademarks at all, I believe it's
covered under DFSG #4, i.e., trademarks are always free if we're allowed to
use them at all.

> Is there some sort of convenient rebranding switch that creators of
> derivative distributions can use?

No, there is not.

> Understood, but it is important to consider legal implications when 
> mucking around with trademarks.  At the least, file a bug in our 
> bugzilla (Marketing -> Trademark Permissions) if you want to try to get 
> an exception to how things are typically done.  That said, when I asked 
> cbeard (who's in charge of product/branding issues), he explicitly said 
> no to this case.

Given your subsequent comments indicating that the Mozilla Foundation
reserves the right to revoke trademark grants for released versions of
Debian, I don't see that we have any choice but to discontinue our use of
the marks.

For my part I think your trademark handling is unprecedented in Free
Software and really rather unreasonable, and it's certainly far removed from
the understanding that we had with Gervase previously, but it's your
trademark to manage as you wish and Debian will certainly take appropriate
steps to ensure we aren't infringing it.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Severity set to `serious' from `important' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to James Andrewartha <trs80@ucc.gu.uwa.edu.au>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #86 received at 354622@bugs.debian.org (full text, mbox):

From: James Andrewartha <trs80@ucc.gu.uwa.edu.au>
To: Mike Connor <mconnor@mozilla.com>
Cc: 354622@bugs.debian.org, Steve Langasek <vorlon@debian.org>, Eric Dorland <eric@kuroneko.ca>
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Wed, 20 Sep 2006 18:28:33 +0800 (WST)
> As for your straw man about security bugs, what security bugs would you 
> be fixing with your own patches?  If there are security bugs, they 
> should be fixed upstream, not in your own tree.  We've had this 
> discussion repeatedly in the context of the security group, and we 
> expect that branded builds of x.y.z from <insert distro here> will be 
> the source tarball/cvs tag for x.y.z plus the set of approved patches. 
> We do not want to get into the fools' game of cherry-picking patches, or 
> individual distros deciding that Patch A isn't "security-oriented" 
> enough.

What happens when MozCo drops support for Firefox 1.5 but Debian (or 
another distro) is still obligated to provide support, as has happened 
with Firefox 1.0 and Mozilla Suite 1.7 in sarge? I admit this question is 
largely academic as it appears Debian will be forced to ship 
mozilla/browser under a different name.

James Andrewartha



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Connor <mconnor@mozilla.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #91 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Connor <mconnor@mozilla.com>
To: James Andrewartha <trs80@ucc.gu.uwa.edu.au>
Cc: 354622@bugs.debian.org, Steve Langasek <vorlon@debian.org>, Eric Dorland <eric@kuroneko.ca>
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Wed, 20 Sep 2006 06:44:30 -0400
James Andrewartha wrote:
>> As for your straw man about security bugs, what security bugs would 
>> you be fixing with your own patches?  If there are security bugs, 
>> they should be fixed upstream, not in your own tree.  We've had this 
>> discussion repeatedly in the context of the security group, and we 
>> expect that branded builds of x.y.z from <insert distro here> will be 
>> the source tarball/cvs tag for x.y.z plus the set of approved 
>> patches. We do not want to get into the fools' game of cherry-picking 
>> patches, or individual distros deciding that Patch A isn't 
>> "security-oriented" enough.
>
> What happens when MozCo drops support for Firefox 1.5 but Debian (or 
> another distro) is still obligated to provide support, as has happened 
> with Firefox 1.0 and Mozilla Suite 1.7 in sarge? I admit this question 
> is largely academic as it appears Debian will be forced to ship 
> mozilla/browser under a different name.

Other vendors (i.e. even Red Hat Enterprise Linux) have chosen to 
upgrade, rather than backport, as that become progressively more 
difficult and risky in the face of ongoing security-driven 
rearchitecture.  If there were no official releases on that branch, and 
distros expressed interest in maintaining that branch, we would have to 
figure out a reasonable path forward.  That would likely be best handled 
by continuing to check in with appropriate review to the affected 
branch(es) and doing periodic tags so that multiple distros could 
benefit.  It is unlikely that a single distro would want to commit that 
much effort on their own, of course, which is why people are upgrading 
instead of continuing to maintain a branch.  Red Hat, Sun and IBM kept 
the Mozilla Suite 1.4 branch around like that for a couple years, but 
realized it was less work to migrate customers.

-- Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Connor <mconnor@mozilla.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #96 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Connor <mconnor@mozilla.com>
To: Steve Langasek <vorlon@debian.org>
Cc: Eric Dorland <eric@debian.org>, 354622@bugs.debian.org
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Wed, 20 Sep 2006 07:16:44 -0400
Steve Langasek wrote:
>> Are the Debian logos and trademarks free?
>>     
> No, the Debian logos are not free.  This is considered a bug.
>   

Since there's no way of making the logo free without losing control over 
the mark, why not adopt a generic branding switch like we did?  Its 
non-trivial to do, but it makes creating derivatives much easier.  Its 
pretty trivial, as you might discover, to rebrand the entire browser, 
now that we've done that work, and really, any good fork/derivative 
becomes a new app anyway, so this is a great thing to do.  This gives 
users absolute freedom to create new distros with their own 
naming/artwork/etc, which isn't just freedom in theory, its lowering the 
bar to exercising that freedom.

>> Understood, but it is important to consider legal implications when 
>> mucking around with trademarks.  At the least, file a bug in our 
>> bugzilla (Marketing -> Trademark Permissions) if you want to try to get 
>> an exception to how things are typically done.  That said, when I asked 
>> cbeard (who's in charge of product/branding issues), he explicitly said 
>> no to this case.
>>     
>
> Given your subsequent comments indicating that the Mozilla Foundation
> reserves the right to revoke trademark grants for released versions of
> Debian, I don't see that we have any choice but to discontinue our use of
> the marks.
>   

This is getting into theoretical games, of course, but if a released 
version was found to be below an acceptable standard, we would be 
required to take action to defend the mark, or risk losing our ability 
to defend it.  We are not going to give Debian carte blanche and deny 
ourselves a possible recourse if something goes sour.  That would only 
make sense if there was little value in defending the mark.

> For my part I think your trademark handling is unprecedented in Free
> Software and really rather unreasonable, and it's certainly far removed from
> the understanding that we had with Gervase previously, but it's your
> trademark to manage as you wish and Debian will certainly take appropriate
> steps to ensure we aren't infringing it

I think that's a bold and inaccurate statement.  Red Hat is a prime 
example of an open source company that aggressively protects its 
trademarks.  I certainly can't modify a Debian ISO image and distribute 
that as Debian (nor should I be able to, lest the distro landscape 
become even more confusing).  The vast majority of apps don't have 
trademarks at all, but those that do either defend and manage them, or 
lose them.

I haven't made it through all of the endless mailing list flamewars from 
when Gerv was tracking trademark issues, but ultimately it comes back to 
treating everyone fairly, which hasn't been consistently true.  That 
means changes get vetted, branding usage is consistent, and we minimize 
the difference between distributions (not just Linux, but examples like 
the package Google distributes with their toolbar).



Bug marked as found in version 1.5.dfsg+1.5.0.7-1. Request was from Filipus Klutiero <cheal@hotpop.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: wontfix Request was from Filipus Klutiero <cheal@hotpop.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Filipus Klutiero <cheal@hotpop.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@kuroneko.ca>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #107 received at 354622@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@kuroneko.ca>
To: Mike Connor <mconnor@mozilla.com>
Cc: 354622@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Thu, 21 Sep 2006 01:38:55 -0400
[Message part 1 (text/plain, inline)]
* Mike Connor (mconnor@mozilla.com) wrote:
> Eric Dorland wrote:
> >Please see Gerv's comments here:
> >http://lists.debian.org/debian-legal/2005/01/msg00757.html to see
> >where he agreed we did not have to use the logo.
> >  
> 
> Fair enough, he did make that statement.  At the time, we obviously 
> weren't taking that part seriously.  We are now, and we're saying its 
> not ok.

Clear enough.
 
> He also stated that the logos were not in the tarball, which may have 
> been true at the time, but is certainly no longer true.  (see 
> mozilla/other-licenses in the 1.5.0.7 tarball)

I have been stripping out the contents of other-licenses from the
tarball because of it's non-free nature before uploading to Debian. 

> >>In that light, you should consider this, as I previously said, notice  
> >>that your usage of the trademark is not permitted in this way, and we  
> >>are expecting a resolution.  If your choice is to cease usage of the  
> >>trademark rather than bend the DFSG a little, that is your decision  
> >>to make.
> >>    
> >
> >Is there no way that you could be convinced to split the license on
> >the logo to have a DSFG-free copyright license and the same,
> >restrictive trademark license. That would basically clear up the issue
> >from our perspective and IMHO not weaken your ability to enforce your
> >trademarks. 
> >  
> 
> At this point, its highly unlikely.that we would allow any changes to 
> the license that would be compliant with the DFSG, certainly not 
> creation of derived works.  The logo is a powerful brand and mark on its 
> own, and it would be fairly silly to give up the control of that mark in 
> such a way.
> 
> >If this isn't possible, could we at least get a stay of execution?
> >Etch is going into deep freeze in less than a month. Would it be
> >possible to resolve this after the release?
> >  
> 
> I would think it makes much more sense to resolve this before you put 
> another long-lived release into the wild, unless your aim is to delay 
> compliance.  Ignoring the logo issue entirely, I have grave concerns 
> around the nature and quality of some of the changes the patchset 
> contains, and I would like to see the changes as a set of specific 
> patches before I could make any recommendation as to whether we should 
> continue to allow use of the trademark.  If we were forced to revoke 
> your permission to use the trademark, freeze state would not matter, you 
> would be required to change all affected packages as soon as possible.  
> Its not a nice thing to do, but we would do it if necessary, and we have 
> done so before.

Well yes I suppose I am trying to delay compliance since you've caught
us at an awkward time, and hoping for a little understanding. But from
the tone of the conversation that doesn't appear to be the
forthcoming.

The diff.gz of the source package completely outlines the changes
we've made in a fairly monolithic diff. If you strip out the
regeneration of the configure file and all the debian files the diff
is fairly small. I'm not sure what you would find objectionable,
almost any patches we apply are from your bugzilla and have already
been reviewed, or are minor integration or portability patches. 

> If you do have this set of patches (a question which you didn't bother 
> to answer) a link would be greatly appreciated so I can get them into 
> our bugzilla and get the right sets of eyes on the code.  Regardless of 
> whether we're going to circle around on the logo issue, if you intend to 
> continue using the mark, you need to do that ASAP.

I don't appreciate the accusatory tone you've taken there. I don't
maintain the changes as patches, but inside a Subversion repository
that contains a complete history of my (and co-maintainer Mike
Hommey's) changes. It's not publicly available, because it's on my
desktop machine for size and speed reasons, but I can make a copy
available to you if you would like.

> >Because Gerv is not responsible anymore for the trademark permissions
> >and approvals, that means any agreements reached with him are null and
> >void? 
> >  
> 
> Not necessarily, just saying I don't see a need to consult him, 
> especially if something he thought was ok (splitting logos from 
> wordmark) has been confirmed to not be.
> 
> >So this means any patch we wish to apply to the source must be signed
> >off by Mozilla corporation before we can upload packages? What if this
> >is a security update, do we need to wait for you before we can update
> >the package?
> 
> Yes, if you are shipping a browser called Firefox, we should be signing 
> off on every deviation from what we ship.  Yes, its time consuming, and 
> yes, I can find more entertaining ways to spend my time, but its a 
> necessary evil.
> 
> As for your straw man about security bugs, what security bugs would you 
> be fixing with your own patches?  If there are security bugs, they 
> should be fixed upstream, not in your own tree.  We've had this 
> discussion repeatedly in the context of the security group, and we 
> expect that branded builds of x.y.z from <insert distro here> will be 
> the source tarball/cvs tag for x.y.z plus the set of approved patches.  
> We do not want to get into the fools' game of cherry-picking patches, or 
> individual distros deciding that Patch A isn't "security-oriented" enough.

It's not a straw man. We still distribute the 1.0.4 version of firefox
in stable. We've backported security fixes to it (well mostly
Alexander Sack has) and now that security support has been dropped by
Mozilla, we've had to port fixes ourselves. Our policy for stable
releases is to backport security fixes, not new upstream releases. I
understand most distros have given up on this for firefox, but we
haven't yet.
 
> This is all something we draw a hard line on, even for distros that have 
> people contributing back to the project.  There are no free passes, nor 
> should there be.  I have actually been asked recently by another distro 
> maintainer whether everyone is on a fair playing field.  Right now, it 
> seems to others as if Debian has a special deal, which isn't fair, and 
> it needs to change.

There are hundreds of distros out there, many who would like to
distribute firefox. Are you going to monitor them all? I doubt it, so
your process is already unfair.

> To be honest, the more I read about the DFSG, I don't know if its 
> possible to use our trademarks at all, as someone making a major change 
> would not inherit the grant, and would be in violation of our trademark 
> requirements, thus it isn't in the spirit of the DFSG.  I know this is 
> well-trodden ground, but now that we have a process, I'm not sure you 
> want to go down that path.  On the other hand, if by simply changing a 
> build option, users can make unlimited changes, I think that's much 
> saner than "if you make major changes, you need to change anywhere it 
> says Firefox."  The current setup is even more restrictive than just 
> using the switch, because the exact same restrictions on building a 
> derivative version apply whether or not you use the switch, but its 
> harder to be sure you've completely fixed the branding.  Debian users 
> cannot freely create derivative versions of the app with or without the 
> switch, so breaking the switch isn't especially helpful.

I'm scared that I had a similar interpretation of the DFSG as you.

Again, I can fix the switch if this would actually help things. 
 
> Following up with another comment to sum up.

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@kuroneko.ca>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #112 received at 354622@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@kuroneko.ca>
To: Mike Connor <mconnor@mozilla.com>
Cc: 354622@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Thu, 21 Sep 2006 01:51:26 -0400
[Message part 1 (text/plain, inline)]
* Mike Connor (mconnor@mozilla.com) wrote:
> Just to sum everything up, since some of this is getting circular, this 
> is how we have been dealing with Linux distros.  Ultimately, fair is 
> fair, and unless you think Debian should get a special deal (which I 
> don't think is DFSG-friendly, let alone likely to happen) , these are 
> the conditions you need to get on board with:
> 
> - All changes the distributor wishes to make to the source code must be 
> provided as discrete patches, along with a description of why the change 
> is required
> - Releases are expected to be based on the CVS tag and/or source tarball 
> for the release version, plus approved patches.
> - build configurations should also be submitted for approval.
> - The logo and the trademark are required to be used together.
> 
> Ultimately, I don't have a lot more to say here.  The ball is in your 
> court now, but you should absolutely not plan to ship without addressing 
> these issues one way or another.

It looks like the only way we can go is to change the name. I'm going
to do that as soon as humanly possible.

The other issue is if we can still distribute the firefox packages we
already have in sarge. If etch releases as scheduled we will still be
backporting security fixes into that version until Dec. 2007 (or as
long as it is remains possible). Etch will become the new stable
release in Dec, so it's doubtful any new users will install sarge
after that point. So is keeping the name in sarge permissible? 

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Connor <mconnor@mozilla.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #117 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Connor <mconnor@mozilla.com>
To: Eric Dorland <eric@kuroneko.ca>
Cc: 354622@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Thu, 21 Sep 2006 09:20:23 -0400
On 21-Sep-06, at 1:51 AM, Eric Dorland wrote:

> The other issue is if we can still distribute the firefox packages we
> already have in sarge. If etch releases as scheduled we will still be
> backporting security fixes into that version until Dec. 2007 (or as
> long as it is remains possible). Etch will become the new stable
> release in Dec, so it's doubtful any new users will install sarge
> after that point. So is keeping the name in sarge permissible?

Possibly, will advise later today.  I doubt anyone's forking sarge at  
this point, but I'm not a trademark expert.

-- Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Connor <mconnor@mozilla.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #122 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Connor <mconnor@mozilla.com>
To: Eric Dorland <eric@kuroneko.ca>
Cc: 354622@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Thu, 21 Sep 2006 12:41:23 -0400
On 21-Sep-06, at 1:38 AM, Eric Dorland wrote:

>>> If this isn't possible, could we at least get a stay of execution?
>>> Etch is going into deep freeze in less than a month. Would it be
>>> possible to resolve this after the release?
>>>
>>
>> I would think it makes much more sense to resolve this before you put
>> another long-lived release into the wild, unless your aim is to delay
>> compliance.  Ignoring the logo issue entirely, I have grave concerns
>> around the nature and quality of some of the changes the patchset
>> contains, and I would like to see the changes as a set of specific
>> patches before I could make any recommendation as to whether we  
>> should
>> continue to allow use of the trademark.  If we were forced to revoke
>> your permission to use the trademark, freeze state would not  
>> matter, you
>> would be required to change all affected packages as soon as  
>> possible.
>> Its not a nice thing to do, but we would do it if necessary, and  
>> we have
>> done so before.
>
> Well yes I suppose I am trying to delay compliance since you've caught
> us at an awkward time, and hoping for a little understanding. But from
> the tone of the conversation that doesn't appear to be the
> forthcoming.

Its less about "understanding" than the legal requirements for  
enforcing trademarks.  We can't selectively ignore things because its  
inconvenient.

> The diff.gz of the source package completely outlines the changes
> we've made in a fairly monolithic diff. If you strip out the
> regeneration of the configure file and all the debian files the diff
> is fairly small. I'm not sure what you would find objectionable,
> almost any patches we apply are from your bugzilla and have already
> been reviewed, or are minor integration or portability patches.

There's changes for default font style, window sizes, a patch to a  
file that shouldn't need patching in 1.5 (since it was fixed in our  
CVS three months before we shipped 1.5) and a few other things, just  
from a skim.

>> If you do have this set of patches (a question which you didn't  
>> bother
>> to answer) a link would be greatly appreciated so I can get them into
>> our bugzilla and get the right sets of eyes on the code.   
>> Regardless of
>> whether we're going to circle around on the logo issue, if you  
>> intend to
>> continue using the mark, you need to do that ASAP.
>
> I don't appreciate the accusatory tone you've taken there. I don't
> maintain the changes as patches, but inside a Subversion repository
> that contains a complete history of my (and co-maintainer Mike
> Hommey's) changes. It's not publicly available, because it's on my
> desktop machine for size and speed reasons, but I can make a copy
> available to you if you would like.

I'm getting questions from others asking why change X or Y was made,  
and I don't have answers.  My tone's a little tense because I had to  
ask a few times to get a response.  Having individual patches means  
that if we say "this change is ok" we can put that patch somewhere  
accessible to everyone and anyone can use that patch.  Having  
everyone do one-off patches means less sharing and more forking,  
which is the opposite of what I consider open source's biggest strength.

>> As for your straw man about security bugs, what security bugs  
>> would you
>> be fixing with your own patches?  If there are security bugs, they
>> should be fixed upstream, not in your own tree.  We've had this
>> discussion repeatedly in the context of the security group, and we
>> expect that branded builds of x.y.z from <insert distro here> will be
>> the source tarball/cvs tag for x.y.z plus the set of approved  
>> patches.
>> We do not want to get into the fools' game of cherry-picking  
>> patches, or
>> individual distros deciding that Patch A isn't "security-oriented"  
>> enough.
>
> It's not a straw man. We still distribute the 1.0.4 version of firefox
> in stable. We've backported security fixes to it (well mostly
> Alexander Sack has) and now that security support has been dropped by
> Mozilla, we've had to port fixes ourselves. Our policy for stable
> releases is to backport security fixes, not new upstream releases. I
> understand most distros have given up on this for firefox, but we
> haven't yet.

Really, the better way of handling this, in our opinion, would be to  
make the changes to mozilla.org CVS and continue to release new  
tarballs and source tags. Just because MoCo isn't putting resources  
into a branch does not mean no further work can happen under the  
mozilla.org umbrella, IBM/Sun/Red Hat maintained the Mozilla Suite  
1.4 branch long after mozilla.org switched support to the 1.7  
branch.  That way things are shared amongst everyone who might want/ 
need to maintain that branch.  Seems like unnecessary forking to me,  
unless you are the _only_ ones working on this branch.

>> This is all something we draw a hard line on, even for distros  
>> that have
>> people contributing back to the project.  There are no free  
>> passes, nor
>> should there be.  I have actually been asked recently by another  
>> distro
>> maintainer whether everyone is on a fair playing field.  Right  
>> now, it
>> seems to others as if Debian has a special deal, which isn't fair,  
>> and
>> it needs to change.
>
> There are hundreds of distros out there, many who would like to
> distribute firefox. Are you going to monitor them all? I doubt it, so
> your process is already unfair.

Keep in mind that there are a set of things that can be modified  
without approval, if you just build the stock browser and package it  
up, the current policy does allow you to use the marks.  If you want  
to make additional changes, we need to approve those additional changes.

I hope to set up a framework for "approved patches" to stable  
versions, so that if something doesn't make our freeze date, but  
affects all/a subset of Linux distros, they can use the same patch  
from an approved list.  This will be an extension to the currently- 
accepted modifications (i.e. if we approve a change for Fedora,  
anyone can apply that patch to their distro package).

If someone wants to use the trademarks, and make additional changes,  
they're in violation.  It is our hope that this will rarely happen,  
but if it does we will take the necessary action to preserve the  
usefulness of the mark.

>> To be honest, the more I read about the DFSG, I don't know if its
>> possible to use our trademarks at all, as someone making a major  
>> change
>> would not inherit the grant, and would be in violation of our  
>> trademark
>> requirements, thus it isn't in the spirit of the DFSG.  I know  
>> this is
>> well-trodden ground, but now that we have a process, I'm not sure you
>> want to go down that path.  On the other hand, if by simply  
>> changing a
>> build option, users can make unlimited changes, I think that's much
>> saner than "if you make major changes, you need to change anywhere it
>> says Firefox."  The current setup is even more restrictive than just
>> using the switch, because the exact same restrictions on building a
>> derivative version apply whether or not you use the switch, but its
>> harder to be sure you've completely fixed the branding.  Debian users
>> cannot freely create derivative versions of the app with or  
>> without the
>> switch, so breaking the switch isn't especially helpful.
>
> I'm scared that I had a similar interpretation of the DFSG as you.

Just because I disagree with how its implemented, or how its  
enforced, doesn't mean I don't understand the letter and the spirit  
behind what you're doing here.  We just use different hammers to hit  
the nails.

Personally, having had a long drive to/from Toronto to think more on  
this, I think the DFSG interpretation we're both looking at is per  
the letter of the DFSG, but I think there's an incompatibility  
between letter and spirit here.  If users can, via a one-line switch  
in a build config, strip out any logos/trademarks and accompanying  
encumbrances and get a working app that's truly "free", is that not  
enough to give users the freedom to fork?  If the goal of the DFSG is  
to ensure anyone can fork it with a minimum of encumbrances, I would  
think that we're closer to that goal than Debian at large, since  
there's no central branding setup that makes it easy for users to  
unbrand Debian.

Its not much use to say "let anyone use the mark" because we've  
already had people distribute hacked versions (which we've been able  
to stop because of the trademark/copyright enforcement).  Debian  
protects their own marks and logos so that users can trust that what  
they're getting has the project's mark of approval.  We do the same,  
and we're being told that we're being heavy-handed and unfair.

> Again, I can fix the switch if this would actually help things.

Depends on whether its ok to use our logos as long as users can  
easily disable it and fork the software.  Otherwise, there isn't much  
point in having the switch, since you've stripped the official  
branding bits from the source.

-- Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to "Michał Purzyński" <michal.lists@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #127 received at 354622@bugs.debian.org (full text, mbox):

From: "Michał Purzyński" <michal.lists@gmail.com>
To: 354622@bugs.debian.org
Subject: let's just remove it
Date: Mon, 25 Sep 2006 20:43:42 +0200
[Message part 1 (text/plain, inline)]
well, if mozilla _corporation_ is having problems with debian using firefox,
why not just remove it? or at least move it into non-free - from what i've
read here firefox licence cannot be thought as gpl compatibile.
btw, is that ok for mozilla _corporation_ that mandriva is using heavily
patched firefox and calling it so? i seriously doubt you folks have reviewed
and approved all the patches they have included. and a happy guy from
mozilla _corporation_ only mentioned novell and redhat.
listen, Debian, the biggest linux (and not only!) distribution all over,
most mature one, known from its stability and so on is making you a great
favour that's including mozilla corporation _product_. a great marketing for
free.
oh and while we're on it - there are a lot of unofficial rpm's for
redhat,suse,mandriva (to name a few) with hand made firefox releases.
patched by someone in home, as she thought it would be good, build and
released to hte community. and they are _very_ popular, mostly because
official distribution version is fairly behind releases. are you going now
to chase all of them to stop using firefox name? good luck.
final word: you should be ashamed guys, more maidenly maybe. oh, and stop
telling that marketing crap about quality control - if you really want it,
start some research for vanilla firefox stability with large number of
opened tabs versus patched one. i'm definitely taking a patched version. and
instead of spending a lot of time and money on your facist requriments,
please rather spend it on making your code better. and if you cannot - help
those who can. that's a much more better way of using resources. and
everybody makes a profit out of it.
but maybe that's not what you want?

cheers,
former firefox-patched user
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@kuroneko.ca>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #132 received at 354622@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@kuroneko.ca>
To: Mike Connor <mconnor@mozilla.com>
Cc: 354622@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Wed, 27 Sep 2006 01:25:00 -0400
[Message part 1 (text/plain, inline)]
* Mike Connor (mconnor@mozilla.com) wrote:
> 
> On 21-Sep-06, at 1:38 AM, Eric Dorland wrote:
> 
> >>>If this isn't possible, could we at least get a stay of execution?
> >>>Etch is going into deep freeze in less than a month. Would it be
> >>>possible to resolve this after the release?
> >>>
> >>
> >>I would think it makes much more sense to resolve this before you put
> >>another long-lived release into the wild, unless your aim is to delay
> >>compliance.  Ignoring the logo issue entirely, I have grave concerns
> >>around the nature and quality of some of the changes the patchset
> >>contains, and I would like to see the changes as a set of specific
> >>patches before I could make any recommendation as to whether we  
> >>should
> >>continue to allow use of the trademark.  If we were forced to revoke
> >>your permission to use the trademark, freeze state would not  
> >>matter, you
> >>would be required to change all affected packages as soon as  
> >>possible.
> >>Its not a nice thing to do, but we would do it if necessary, and  
> >>we have
> >>done so before.
> >
> >Well yes I suppose I am trying to delay compliance since you've caught
> >us at an awkward time, and hoping for a little understanding. But from
> >the tone of the conversation that doesn't appear to be the
> >forthcoming.
> 
> Its less about "understanding" than the legal requirements for  
> enforcing trademarks.  We can't selectively ignore things because its  
> inconvenient.

I understand, but this is not a new issue. The situation has been
stable for over a year. It's unclear to me where the urgency is coming
from. But in any case, we will be complying shortly. 
 
> >The diff.gz of the source package completely outlines the changes
> >we've made in a fairly monolithic diff. If you strip out the
> >regeneration of the configure file and all the debian files the diff
> >is fairly small. I'm not sure what you would find objectionable,
> >almost any patches we apply are from your bugzilla and have already
> >been reviewed, or are minor integration or portability patches.
> 
> There's changes for default font style, window sizes, a patch to a  
> file that shouldn't need patching in 1.5 (since it was fixed in our  
> CVS three months before we shipped 1.5) and a few other things, just  
> from a skim.

Could you be more specific to which file is patched unnecessarily?
Certainly all the changes are there to fix real bugs, and I'd be happy
to discuss any and all changes we've made. The majority tend to be
already reviewed patches in the bugzilla.
 
> >>If you do have this set of patches (a question which you didn't  
> >>bother
> >>to answer) a link would be greatly appreciated so I can get them into
> >>our bugzilla and get the right sets of eyes on the code.   
> >>Regardless of
> >>whether we're going to circle around on the logo issue, if you  
> >>intend to
> >>continue using the mark, you need to do that ASAP.
> >
> >I don't appreciate the accusatory tone you've taken there. I don't
> >maintain the changes as patches, but inside a Subversion repository
> >that contains a complete history of my (and co-maintainer Mike
> >Hommey's) changes. It's not publicly available, because it's on my
> >desktop machine for size and speed reasons, but I can make a copy
> >available to you if you would like.
> 
> I'm getting questions from others asking why change X or Y was made,  
> and I don't have answers.  My tone's a little tense because I had to  
> ask a few times to get a response.  Having individual patches means  
> that if we say "this change is ok" we can put that patch somewhere  
> accessible to everyone and anyone can use that patch.  Having  
> everyone do one-off patches means less sharing and more forking,  
> which is the opposite of what I consider open source's biggest strength.

I'm not a big fan of patch based build systems, which is why I use
subversion. The changes are copiously detailed in the debian/changelog
and again I'd be happy to answer any questions you might have if the
changelog is not enlightening.
 
> >>As for your straw man about security bugs, what security bugs  
> >>would you
> >>be fixing with your own patches?  If there are security bugs, they
> >>should be fixed upstream, not in your own tree.  We've had this
> >>discussion repeatedly in the context of the security group, and we
> >>expect that branded builds of x.y.z from <insert distro here> will be
> >>the source tarball/cvs tag for x.y.z plus the set of approved  
> >>patches.
> >>We do not want to get into the fools' game of cherry-picking  
> >>patches, or
> >>individual distros deciding that Patch A isn't "security-oriented"  
> >>enough.
> >
> >It's not a straw man. We still distribute the 1.0.4 version of firefox
> >in stable. We've backported security fixes to it (well mostly
> >Alexander Sack has) and now that security support has been dropped by
> >Mozilla, we've had to port fixes ourselves. Our policy for stable
> >releases is to backport security fixes, not new upstream releases. I
> >understand most distros have given up on this for firefox, but we
> >haven't yet.
> 
> Really, the better way of handling this, in our opinion, would be to  
> make the changes to mozilla.org CVS and continue to release new  
> tarballs and source tags. Just because MoCo isn't putting resources  
> into a branch does not mean no further work can happen under the  
> mozilla.org umbrella, IBM/Sun/Red Hat maintained the Mozilla Suite  
> 1.4 branch long after mozilla.org switched support to the 1.7  
> branch.  That way things are shared amongst everyone who might want/ 
> need to maintain that branch.  Seems like unnecessary forking to me,  
> unless you are the _only_ ones working on this branch.

This is the first time this kind of collaboration has been offered as
far as I know. You should probably discuss this with Alexander Sack
<asac@jwsdot.com>, since he is leading most of the mozilla security
efforts for Debian. It may very well be that we're the only distro
trying to backport these fixes. 
 
> >>This is all something we draw a hard line on, even for distros  
> >>that have
> >>people contributing back to the project.  There are no free  
> >>passes, nor
> >>should there be.  I have actually been asked recently by another  
> >>distro
> >>maintainer whether everyone is on a fair playing field.  Right  
> >>now, it
> >>seems to others as if Debian has a special deal, which isn't fair,  
> >>and
> >>it needs to change.
> >
> >There are hundreds of distros out there, many who would like to
> >distribute firefox. Are you going to monitor them all? I doubt it, so
> >your process is already unfair.
> 
> Keep in mind that there are a set of things that can be modified  
> without approval, if you just build the stock browser and package it  
> up, the current policy does allow you to use the marks.  If you want  
> to make additional changes, we need to approve those additional changes.
> 
> I hope to set up a framework for "approved patches" to stable  
> versions, so that if something doesn't make our freeze date, but  
> affects all/a subset of Linux distros, they can use the same patch  
> from an approved list.  This will be an extension to the currently- 
> accepted modifications (i.e. if we approve a change for Fedora,  
> anyone can apply that patch to their distro package).
> 
> If someone wants to use the trademarks, and make additional changes,  
> they're in violation.  It is our hope that this will rarely happen,  
> but if it does we will take the necessary action to preserve the  
> usefulness of the mark.
> 
> >>To be honest, the more I read about the DFSG, I don't know if its
> >>possible to use our trademarks at all, as someone making a major  
> >>change
> >>would not inherit the grant, and would be in violation of our  
> >>trademark
> >>requirements, thus it isn't in the spirit of the DFSG.  I know  
> >>this is
> >>well-trodden ground, but now that we have a process, I'm not sure you
> >>want to go down that path.  On the other hand, if by simply  
> >>changing a
> >>build option, users can make unlimited changes, I think that's much
> >>saner than "if you make major changes, you need to change anywhere it
> >>says Firefox."  The current setup is even more restrictive than just
> >>using the switch, because the exact same restrictions on building a
> >>derivative version apply whether or not you use the switch, but its
> >>harder to be sure you've completely fixed the branding.  Debian users
> >>cannot freely create derivative versions of the app with or  
> >>without the
> >>switch, so breaking the switch isn't especially helpful.
> >
> >I'm scared that I had a similar interpretation of the DFSG as you.
> 
> Just because I disagree with how its implemented, or how its  
> enforced, doesn't mean I don't understand the letter and the spirit  
> behind what you're doing here.  We just use different hammers to hit  
> the nails.
> 
> Personally, having had a long drive to/from Toronto to think more on  
> this, I think the DFSG interpretation we're both looking at is per  
> the letter of the DFSG, but I think there's an incompatibility  
> between letter and spirit here.  If users can, via a one-line switch  
> in a build config, strip out any logos/trademarks and accompanying  
> encumbrances and get a working app that's truly "free", is that not  
> enough to give users the freedom to fork?  If the goal of the DFSG is  
> to ensure anyone can fork it with a minimum of encumbrances, I would  
> think that we're closer to that goal than Debian at large, since  
> there's no central branding setup that makes it easy for users to  
> unbrand Debian.

The guarantee that we're providing to our users is that the copyright
licenses on things in main will meet the DFSG. So the logo is pretty
clearly not DFSG free. There are concessions in there about names and
version numbers needing to be changed, but not that we can include
things with restrictive licenses if they're "easy" to strip out. 

Interestingly enough I just did the Montreal-Toronto run myself not
too long ago :)

> Its not much use to say "let anyone use the mark" because we've  
> already had people distribute hacked versions (which we've been able  
> to stop because of the trademark/copyright enforcement).  Debian  
> protects their own marks and logos so that users can trust that what  
> they're getting has the project's mark of approval.  We do the same,  
> and we're being told that we're being heavy-handed and unfair.

It's never been well explained why just trademark enforcement wouldn't
be enough to stop things like hacked versions. And really, if someone
is distributing a version of Firefox to do something nefarious, a
trademark isn't going to stop someone.
 
> >Again, I can fix the switch if this would actually help things.
> 
> Depends on whether its ok to use our logos as long as users can  
> easily disable it and fork the software.  Otherwise, there isn't much  
> point in having the switch, since you've stripped the official  
> branding bits from the source.

Again, as it stands now, the logo doesn't appear to be acceptable to
the project. 

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to "Conrad Knauer" <atheoi@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #137 received at 354622@bugs.debian.org (full text, mbox):

From: "Conrad Knauer" <atheoi@gmail.com>
To: 354622@bugs.debian.org, mconnor@mozilla.com, eric@debian.org, vorlon@debian.org
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Wed, 27 Sep 2006 03:58:56 -0600
Steve Langasek wrote: "it seems that ultimately, the only acceptable
solution to Debian would unfortunately be to stop using the firefox
name altogether.  So I'm hoping we can find a middle ground
somewhere."

As I understand it, the problem is that Mozilla wants Debian to stop
calling it Firefox unless they agree to license the trademark, but
Debian doesn't want to do that because it violates DFSG 8, that a
'license must not be specific to Debian'.

Well how about this: the Mozilla draft policy on its trademarks in
"Community Edition" versions
of its products is here:

http://www.mozilla.org/foundation/trademarks/community-edition-policy.html

and that applies to any group, not just Debian.  Could Debian rename
"Firefox" to "Firefox Community Edition"?  Since its just a draft
(version 0.8), could Mozilla perhaps make the community edition policy
more explicitly friendly to the DFSG in a future version?

e.g.: Could "Community Edition" be generally abbreviated within the
program or better yet, only explicitly mentioned in the "About
Firefox" window?  Could a Firefox name be allowed so long as it
included the term "Community Edition" somewhere in it, such as
"Firefox DFSG Community Edition" or "Firefox Debian Community
Edition"? :)

Apologies if someone somewhere has suggested this before; I use Ubuntu
and I am only now learning about this :)

Sincerely,
Conrad Knauer



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #142 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Conrad Knauer <atheoi@gmail.com>, 354622@bugs.debian.org
Cc: mconnor@mozilla.com, eric@debian.org, vorlon@debian.org
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Wed, 27 Sep 2006 15:13:13 +0200
On Wed, Sep 27, 2006 at 03:58:56AM -0600, Conrad Knauer <atheoi@gmail.com> wrote:
> Steve Langasek wrote: "it seems that ultimately, the only acceptable
> solution to Debian would unfortunately be to stop using the firefox
> name altogether.  So I'm hoping we can find a middle ground
> somewhere."
> 
> As I understand it, the problem is that Mozilla wants Debian to stop
> calling it Firefox unless they agree to license the trademark, but
> Debian doesn't want to do that because it violates DFSG 8, that a
> 'license must not be specific to Debian'.
> 
> Well how about this: the Mozilla draft policy on its trademarks in
> "Community Edition" versions
> of its products is here:
> 
> http://www.mozilla.org/foundation/trademarks/community-edition-policy.html
> 
> and that applies to any group, not just Debian.  Could Debian rename
> "Firefox" to "Firefox Community Edition"?  Since its just a draft
> (version 0.8), could Mozilla perhaps make the community edition policy
> more explicitly friendly to the DFSG in a future version?
> 
> e.g.: Could "Community Edition" be generally abbreviated within the
> program or better yet, only explicitly mentioned in the "About
> Firefox" window?  Could a Firefox name be allowed so long as it
> included the term "Community Edition" somewhere in it, such as
> "Firefox DFSG Community Edition" or "Firefox Debian Community
> Edition"? :)

The new problem is that the Mozilla trademark folks don't want the
firefox name be applied without the logo. The logo is not DFSG
compliant, so there is no way we can use it. Thus we can't use the
firefox name.

There's no solution to that problem except changing name.

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #147 received at 354622@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 354622@bugs.debian.org
Subject: Renaming Mozilla applications
Date: Wed, 27 Sep 2006 22:25:00 +0200
[Message part 1 (text/plain, inline)]
Hi,
it's sad to see that the safer path (renaming Mozilla applications in
order to avoid being restricted by any trademark policy) was really the
one to choose...  :-(
That was my conclusion[1] and unfortunately it seems that the other
possibility (reaching a trademark agreement) only worked for a short
time.

I wonder if we can come up with a renaming scheme that makes it not too
difficult for a user to find the right package to install.
My attempt was judged to be too confusingly similar to the official
names[2], but many things changed since january 2005: I don't know if
Gervase's reply is still valid for Mozilla Corporation...

[1] http://lists.debian.org/debian-legal/2005/01/msg00142.html
[2] http://lists.debian.org/debian-legal/2005/01/msg00053.html

-- 
But it is also tradition that times *must* and always
do change, my friend.   -- from _Coming to America_
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #152 received at 354622@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Francesco Poli <frx@firenze.linux.it>, 354622@bugs.debian.org
Subject: Re: Bug#354622: Renaming Mozilla applications
Date: Wed, 27 Sep 2006 15:23:48 -0700
On Wed, Sep 27, 2006 at 10:25:00PM +0200, Francesco Poli wrote:

> it's sad to see that the safer path (renaming Mozilla applications in
> order to avoid being restricted by any trademark policy) was really the
> one to choose...  :-(
> That was my conclusion[1] and unfortunately it seems that the other
> possibility (reaching a trademark agreement) only worked for a short
> time.

> I wonder if we can come up with a renaming scheme that makes it not too
> difficult for a user to find the right package to install.

I don't know any reason we should believe that trademark prevents us from
using the name "firefox" for functional elements such as package names and
file/directory names.  The trademark does of course prevent us from
labelling the *interface* "firefox" and using the logos; but we already have
a build switch we can use to comply with those requirements.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Sam Schinke <sschinke@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #157 received at 354622@bugs.debian.org (full text, mbox):

From: Sam Schinke <sschinke@gmail.com>
To: 354622@bugs.debian.org
Subject: "Community Edition" Mozilla license requires non-use of copyrighted logos
Date: Wed, 27 Sep 2006 21:51:41 -0700
Hi Guys,

I really do think Conrad is on the right track with a "Community Edition" 
release being the perfect solution here.

Here is a comment I wrote in another discussion group before I was directed to 
re-read this thread for Conrad's comment:

> See:
> http://www.mozilla.org/foundation/trademarks/l10n-policy.html
>
> Look under "Community Releases" for the following passages:
>
> First:
> > A Community Release is what an official L10n team does when they feel
> > they can't live within all the restrictions necessary to make an official
> > release. We expect some official L10n teams to produce both Official and
> > Community releases. The basic idea is that more things can be changed,
> > but you have to label the result "Community Edition".
>
> Then:
> > You can't prefix the name with Mozilla (eg "Mozilla Firefox Community
> > Edition" is not allowed) or use the official Firefox or Thunderbird logos
> > to identify the software. You can, of course, still use the unofficial
> > ones.
>
> http://www.mozilla.org/foundation/trademarks/community-edition-policy.html
>
> And in the "Mozilla Community Edition Policy" for the following passages:
> > A Community Edition is a version of Mozilla software that has some set of
> > customizations beyond those normally allowed under the Mozilla Trademark
> > Policy.
> >
> > If an individual or organization is creating a Community Edition of
> > Mozilla Firefox or Thunderbird, it must use the names "Firefox Community
> > Edition" or "Thunderbird Community Edition" to identify this software.
> > These names may be further qualified to identify the software
> > (e.g. "Firefox Community Edition, French", "Thunderbird Community
> > Edition, Joe's optimized AMD Opteron build", etc.). Localizers may also
> > translate the words "Community Edition".
> >
> > You may not prefix the name product with "Mozilla" (e.g. "Mozilla Firefox
> > Community Edition" is not allowed.) nor use the official Firefox or
> > Thunderbird logos to identify the software. You can, of course, still use
> > the unofficial ones.
>
> So there certainly IS the possibility of Debian performing a release
> called "Debian Firefox Community Edition" with binaries called "firefox"
> that do not (and indeed, are not allowed to) use the Firefox logo.

If Debian can bring their patchset into compliance that satisfies Mike Connor, 
I don't see that there is really any remaining problem. Unless Mike is 
retracting the two policies quoted above?

I guess the only remaining question is whether or not there is a convenient 
build-time configuration to build these Community Edition/Releases. How would 
a group intending to release a Community Edition/Release go about doing so? 
Would it just be a non-official release with specific branding that happens 
to include "Firefox" in part of the name?

Regards,
Sam



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #162 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Sam Schinke <sschinke@gmail.com>, 354622@bugs.debian.org
Subject: Re: Bug#354622: "Community Edition" Mozilla license requires non-use of copyrighted logos
Date: Thu, 28 Sep 2006 11:23:43 +0200
On Wed, Sep 27, 2006 at 09:51:41PM -0700, Sam Schinke <sschinke@gmail.com> wrote:
> Hi Guys,
> 
> I really do think Conrad is on the right track with a "Community Edition" 
> release being the perfect solution here.
> (...)

Some changes applied to the debian packages don't fall in the community
edition authorized changes, and there's no way we want not to apply
these.

Mike



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #167 received at 354622@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Steve Langasek <vorlon@debian.org>, 354622@bugs.debian.org
Cc: Francesco Poli <frx@firenze.linux.it>
Subject: Re: Bug#354622: Renaming Mozilla applications
Date: Thu, 28 Sep 2006 09:55:33 -0400
[Message part 1 (text/plain, inline)]
* Steve Langasek (vorlon@debian.org) wrote:
> On Wed, Sep 27, 2006 at 10:25:00PM +0200, Francesco Poli wrote:
> 
> > it's sad to see that the safer path (renaming Mozilla applications in
> > order to avoid being restricted by any trademark policy) was really the
> > one to choose...  :-(
> > That was my conclusion[1] and unfortunately it seems that the other
> > possibility (reaching a trademark agreement) only worked for a short
> > time.
> 
> > I wonder if we can come up with a renaming scheme that makes it not too
> > difficult for a user to find the right package to install.
> 
> I don't know any reason we should believe that trademark prevents us from
> using the name "firefox" for functional elements such as package names and
> file/directory names.  The trademark does of course prevent us from
> labelling the *interface* "firefox" and using the logos; but we already have
> a build switch we can use to comply with those requirements.

Certainly file/directory names are functional, but the package name is
both labelling and functional. If we call the package firefox, aren't
we claiming that's what it is and hence infringing the mark? I'd
certainly like to keep the package name unchanged, but also if it is
left as firefox and the browser presents itself as "Foobar" might that
not confuse users? 

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Sam Schinke <sschinke@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #172 received at 354622@bugs.debian.org (full text, mbox):

From: Sam Schinke <sschinke@gmail.com>
To: Mike Hommey <mh@glandium.org>
Cc: 354622@bugs.debian.org
Subject: Re: Bug#354622: "Community Edition" Mozilla license requires non-use of copyrighted logos
Date: Thu, 28 Sep 2006 07:39:27 -0700
On Thursday 28 September 2006 02:23, Mike Hommey wrote:
> On Wed, Sep 27, 2006 at 09:51:41PM -0700, Sam Schinke <sschinke@gmail.com> 
wrote:
> > Hi Guys,
> >
> > I really do think Conrad is on the right track with a "Community Edition"
> > release being the perfect solution here.
> > (...)
>
> Some changes applied to the debian packages don't fall in the community
> edition authorized changes, and there's no way we want not to apply
> these.

Hi Mike Hommey,

Understood.

If those changes can be added to this hypothetical "approved patch list" that 
Mike Connor is talking about, nobody could say Debian is being treated 
differently from other distro's.

This might mean Debian will have to spend some time meeting Mozilla's (and I 
use the term loosely) "Quality Assurance" guidelines for a Community Release, 
or perhaps even become involved in development directly with Mozilla.org. Is 
this particularly very much harder than the extra work Debian is already 
doing with some of Mozilla's code?

As it seems to me, the primary concern held by Mike Connor is that the logo 
was not being used, yet the name was. Clearly, though, Mozilla already has 
policies in place that occasionally allow for this. There is a serious, 
published precedent for organizations to divorce the "firefox" name and the 
planet/fox logo.  This is all that is necessary for Debian to not be seen as 
a special case.

Regards,
Sam



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #177 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Mike Connor <mconnor@mozilla.com>, 354622@bugs.debian.org
Subject: Bug#354622: Maybe a solution to use the name *and* the logo
Date: Thu, 28 Sep 2006 19:43:07 +0200
Hi all,

There is maybe a way for debian to keep the name and use *a* logo. Note
that it is not *the* logo, since firefox logo is non-free, but the
nuvola icon theme has an LGPL version of the firefox logo, made from
scratch, and pretty similar to the original one. If we can use this logo
with the firefox name, the only remaining issue is patch validation.

Mike, would it be possible to use this nuvola logo[1] instead of the
official one ?

Mike

1. http://en.wikipedia.org/wiki/Image:Firefox.svg



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to "Conrad Knauer" <atheoi@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #182 received at 354622@bugs.debian.org (full text, mbox):

From: "Conrad Knauer" <atheoi@gmail.com>
To: 354622@bugs.debian.org
Cc: mconnor@mozilla.com, eric@debian.org
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Thu, 28 Sep 2006 14:24:19 -0600
Mike Hommey wrote: "Some changes applied to the debian packages don't
fall in the community edition authorized changes, and there's no way
we want not to apply these."

If you're referring to the list of "permitted" changes in Community
Editions on http://www.mozilla.org/foundation/trademarks/community-edition-policy.html
I would really like to see what specifically you think would not be
allowed.  One of the permitted changes is "Porting the software to
different operating systems" which would imply a degree of
OS-integration (e.g. updates through apt-get vs. individual programs
downloading updates for themselves).  Also, it says below the list:

"It is very important that Community Editions of Firefox and
Thunderbird meet (or exceed) the quality level people have come to
associate with Mozilla Firefox and Mozilla Thunderbird. We need to
ensure this, but we don't want to get in people's way. So, we are
taking an optimistic approach."

I would like someone from Mozilla (Mike? :) and someone from Debian
(Eric? :) to sit down and determine if there is actually anything
stopping the Debian FF release from being called "Firefox Community
Edition Debian" right now...  If it can, problem solved :)  If not,
can the Mozilla CE Policy be altered slightly to accomodate Debian
and/or can Debian move some of the changes into a separate package?

Eric Dorland wrote: "If we call the package firefox, aren't we
claiming that's what it is and hence infringing the mark? I'd
certainly like to keep the package name unchanged, but also if it is
left as firefox and the browser presents itself as "Foobar" might that
not confuse users?

If the CE idea actually has merit, changing the package to
"firefox-community-edition-debian" or "firefox-ced" or some such (with
an accompanying change in the description) shouldn't be too confusing
to users; plus you could always have a metapackage "firefox" that
installs the CE version.

CK



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #187 received at 354622@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Eric Dorland <eric@debian.org>
Cc: 354622@bugs.debian.org, Francesco Poli <frx@firenze.linux.it>
Subject: Re: Bug#354622: Renaming Mozilla applications
Date: Thu, 28 Sep 2006 16:45:21 -0700
On Thu, Sep 28, 2006 at 09:55:33AM -0400, Eric Dorland wrote:
> * Steve Langasek (vorlon@debian.org) wrote:
> > On Wed, Sep 27, 2006 at 10:25:00PM +0200, Francesco Poli wrote:

> > > it's sad to see that the safer path (renaming Mozilla applications in
> > > order to avoid being restricted by any trademark policy) was really the
> > > one to choose...  :-(
> > > That was my conclusion[1] and unfortunately it seems that the other
> > > possibility (reaching a trademark agreement) only worked for a short
> > > time.

> > > I wonder if we can come up with a renaming scheme that makes it not too
> > > difficult for a user to find the right package to install.

> > I don't know any reason we should believe that trademark prevents us from
> > using the name "firefox" for functional elements such as package names and
> > file/directory names.  The trademark does of course prevent us from
> > labelling the *interface* "firefox" and using the logos; but we already have
> > a build switch we can use to comply with those requirements.

> Certainly file/directory names are functional, but the package name is
> both labelling and functional. If we call the package firefox, aren't
> we claiming that's what it is and hence infringing the mark?

IANAL, and answering this question authoritatively would certainly require
one.  I'm merely saying that I don't *know* any reason that trademark law
prevents us from using "firefox" for the package name, which I view as a
functional element.

The only other instances I can remember of a maintainer renaming a package
in response to trademark claims are scrabble, and gnocatan.  For scrabble,
the rename still hasn't even taken place, and I don't know if there's going
to be an upstream rename along with a package rename, but apparently the
ftpmasters rejected a package rename once already; for gnocatan, I was
involved in the upstream renaming process which was done at least as much
out of courtesy to the creator of Settlers of Catan as out of any belief
that we were infringing a trademark, and the package renaming was just done
to follow the upstream rename -- with dummy packages added to the archive to
provide an upgrade path.

So neither of these are completely analogous to the firefox case, where it's
*upstream's* trademark triggering the rename and we're not exactly intending
to create a permanent fork.

> I'd certainly like to keep the package name unchanged, but also if it is
> left as firefox and the browser presents itself as "Foobar" might that
> not confuse users? 

Do you think this would be more or less confusing than for users to not be
able to find a firefox package in the archive, despite many related packages
still referencing it by that name at the time of release?

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to "Wesley S." <profox@linux.be>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #192 received at 354622@bugs.debian.org (full text, mbox):

From: "Wesley S." <profox@linux.be>
To: 354622@bugs.debian.org
Subject: Using Firefox as the app name without official branding is still Renaming firefox
Date: Fri, 29 Sep 2006 18:59:59 +0200
[Message part 1 (text/plain, inline)]
I'm all for Community Edition; please work something like that out if
possible.
And Debian is still allowed to refer the metapackage firefox to the new
renamed package, right?

Licenses always give me headaches; please come to an agreement..
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #197 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: "Wesley S." <profox@linux.be>, 354622@bugs.debian.org
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still Renaming firefox
Date: Fri, 29 Sep 2006 21:05:31 +0200
On Fri, Sep 29, 2006 at 06:59:59PM +0200, Wesley S. <profox@linux.be> wrote:
> I'm all for Community Edition; please work something like that out if
> possible.
> And Debian is still allowed to refer the metapackage firefox to the new
> renamed package, right?
> 
> Licenses always give me headaches; please come to an agreement..

Just for the record, there already was an agreement, that we could use
the firefox name without the official logo...

Mike



Severity set to `important' from `serious' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #206 received at 354622@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Steve Langasek <vorlon@debian.org>, 354622@bugs.debian.org
Cc: Francesco Poli <frx@firenze.linux.it>
Subject: Re: Bug#354622: Renaming Mozilla applications
Date: Mon, 2 Oct 2006 00:05:21 -0400
[Message part 1 (text/plain, inline)]
* Steve Langasek (vorlon@debian.org) wrote:
> On Thu, Sep 28, 2006 at 09:55:33AM -0400, Eric Dorland wrote:
> > * Steve Langasek (vorlon@debian.org) wrote:
> > > On Wed, Sep 27, 2006 at 10:25:00PM +0200, Francesco Poli wrote:
> 
> > > > it's sad to see that the safer path (renaming Mozilla applications in
> > > > order to avoid being restricted by any trademark policy) was really the
> > > > one to choose...  :-(
> > > > That was my conclusion[1] and unfortunately it seems that the other
> > > > possibility (reaching a trademark agreement) only worked for a short
> > > > time.
> 
> > > > I wonder if we can come up with a renaming scheme that makes it not too
> > > > difficult for a user to find the right package to install.
> 
> > > I don't know any reason we should believe that trademark prevents us from
> > > using the name "firefox" for functional elements such as package names and
> > > file/directory names.  The trademark does of course prevent us from
> > > labelling the *interface* "firefox" and using the logos; but we already have
> > > a build switch we can use to comply with those requirements.
> 
> > Certainly file/directory names are functional, but the package name is
> > both labelling and functional. If we call the package firefox, aren't
> > we claiming that's what it is and hence infringing the mark?
> 
> IANAL, and answering this question authoritatively would certainly require
> one.  I'm merely saying that I don't *know* any reason that trademark law
> prevents us from using "firefox" for the package name, which I view as a
> functional element.

Well can we get advice this advice? I know I can't afford it :) I'd be
pretty certain that the Mozilla Corp would object to us keeping the
package name. Having some sort of justification would be
helpful. Keeping the package name would be great though, making things
a lot less painful. 
 
> The only other instances I can remember of a maintainer renaming a package
> in response to trademark claims are scrabble, and gnocatan.  For scrabble,
> the rename still hasn't even taken place, and I don't know if there's going
> to be an upstream rename along with a package rename, but apparently the
> ftpmasters rejected a package rename once already; for gnocatan, I was
> involved in the upstream renaming process which was done at least as much
> out of courtesy to the creator of Settlers of Catan as out of any belief
> that we were infringing a trademark, and the package renaming was just done
> to follow the upstream rename -- with dummy packages added to the archive to
> provide an upgrade path.
> 
> So neither of these are completely analogous to the firefox case, where it's
> *upstream's* trademark triggering the rename and we're not exactly intending
> to create a permanent fork.

Yes, so not much help here :P

> > I'd certainly like to keep the package name unchanged, but also if it is
> > left as firefox and the browser presents itself as "Foobar" might that
> > not confuse users? 
> 
> Do you think this would be more or less confusing than for users to not be
> able to find a firefox package in the archive, despite many related packages
> still referencing it by that name at the time of release?

Well having transition packages would definitely be part of the plan,
so that shouldn't be an issue.

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #211 received at 354622@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Mike Hommey <mh@glandium.org>, 354622@bugs.debian.org
Cc: Mike Connor <mconnor@mozilla.com>
Subject: Re: Bug#354622: Maybe a solution to use the name *and* the logo
Date: Mon, 2 Oct 2006 00:18:48 -0400
[Message part 1 (text/plain, inline)]
* Mike Hommey (mh@glandium.org) wrote:
> Hi all,
> 
> There is maybe a way for debian to keep the name and use *a* logo. Note
> that it is not *the* logo, since firefox logo is non-free, but the
> nuvola icon theme has an LGPL version of the firefox logo, made from
> scratch, and pretty similar to the original one. If we can use this logo
> with the firefox name, the only remaining issue is patch validation.
> 
> Mike, would it be possible to use this nuvola logo[1] instead of the
> official one ?

This seems kind of questionable. It's basically
indistinguishable. Is this sort of thing really permissible under
copyright? 
 
> Mike
> 
> 1. http://en.wikipedia.org/wiki/Image:Firefox.svg
> 

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #216 received at 354622@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Conrad Knauer <atheoi@gmail.com>, 354622@bugs.debian.org
Cc: mconnor@mozilla.com
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Mon, 2 Oct 2006 00:24:05 -0400
[Message part 1 (text/plain, inline)]
* Conrad Knauer (atheoi@gmail.com) wrote:
> Mike Hommey wrote: "Some changes applied to the debian packages don't
> fall in the community edition authorized changes, and there's no way
> we want not to apply these."
> 
> If you're referring to the list of "permitted" changes in Community
> Editions on 
> http://www.mozilla.org/foundation/trademarks/community-edition-policy.html
> I would really like to see what specifically you think would not be
> allowed.  One of the permitted changes is "Porting the software to
> different operating systems" which would imply a degree of
> OS-integration (e.g. updates through apt-get vs. individual programs
> downloading updates for themselves).  Also, it says below the list:

I'm not sure that's what that clause really means, but one easy
example is backported security fixes. Another is just regular bug
fixes that aren't in the official releases for whatever reason.
 
> "It is very important that Community Editions of Firefox and
> Thunderbird meet (or exceed) the quality level people have come to
> associate with Mozilla Firefox and Mozilla Thunderbird. We need to
> ensure this, but we don't want to get in people's way. So, we are
> taking an optimistic approach."
> 
> I would like someone from Mozilla (Mike? :) and someone from Debian
> (Eric? :) to sit down and determine if there is actually anything
> stopping the Debian FF release from being called "Firefox Community
> Edition Debian" right now...  If it can, problem solved :)  If not,
> can the Mozilla CE Policy be altered slightly to accomodate Debian
> and/or can Debian move some of the changes into a separate package?

I asked Gervase the last time this came up if we could fix the
Community Edition Guidelines to make this possible and he said it
wasn't possible. If it is now that would be great.

> Eric Dorland wrote: "If we call the package firefox, aren't we
> claiming that's what it is and hence infringing the mark? I'd
> certainly like to keep the package name unchanged, but also if it is
> left as firefox and the browser presents itself as "Foobar" might that
> not confuse users?
> 
> If the CE idea actually has merit, changing the package to
> "firefox-community-edition-debian" or "firefox-ced" or some such (with
> an accompanying change in the description) shouldn't be too confusing
> to users; plus you could always have a metapackage "firefox" that
> installs the CE version.

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to "Conrad Knauer" <atheoi@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #221 received at 354622@bugs.debian.org (full text, mbox):

From: "Conrad Knauer" <atheoi@gmail.com>
To: 354622@bugs.debian.org, eric@debian.org, mconnor@mozilla.com
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Mon, 2 Oct 2006 00:02:25 -0600
On 10/1/06, Eric Dorland <eric@debian.org> wrote:

> > http://www.mozilla.org/foundation/trademarks/community-edition-policy.html
> >
> > One of the permitted changes is "Porting the software to different operating systems"
>
> I'm not sure that's what that clause really means, but one easy
> example is backported security fixes. Another is just regular bug
> fixes that aren't in the official releases for whatever reason.

Personally I would say that Debian packages with extra security and
bug fixes would 'exceed the quality' of the official Mozilla packages
and thus be a good example of what Community Editions are about:

> > "It is very important that Community Editions of Firefox and
> > Thunderbird meet (or exceed) the quality level people have come to
> > associate with Mozilla Firefox and Mozilla Thunderbird. We need to
> > ensure this, but we don't want to get in people's way. So, we are
> > taking an optimistic approach."

CK



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #226 received at 354622@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Eric Dorland <eric@debian.org>
Cc: 354622@bugs.debian.org, Francesco Poli <frx@firenze.linux.it>
Subject: Re: Bug#354622: Renaming Mozilla applications
Date: Mon, 2 Oct 2006 03:33:15 -0700
On Mon, Oct 02, 2006 at 12:05:21AM -0400, Eric Dorland wrote:
> > > Certainly file/directory names are functional, but the package name is
> > > both labelling and functional. If we call the package firefox, aren't
> > > we claiming that's what it is and hence infringing the mark?

> > IANAL, and answering this question authoritatively would certainly require
> > one.  I'm merely saying that I don't *know* any reason that trademark law
> > prevents us from using "firefox" for the package name, which I view as a
> > functional element.

> Well can we get advice this advice? I know I can't afford it :)

You probably want to talk to leader@d.o for this.

> I'd be pretty certain that the Mozilla Corp would object to us keeping the
> package name. Having some sort of justification would be
> helpful. Keeping the package name would be great though, making things
> a lot less painful. 

[...]

> Well having transition packages would definitely be part of the plan,
> so that shouldn't be an issue.

FWIW, I don't see any substantial difference between a package named
"firefox" that is a transition package, and one that contains the browser
software.  If one is determined to infringe a trademark, why would the other
not?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Connor <mconnor@mozilla.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #231 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Connor <mconnor@mozilla.com>
To: Conrad Knauer <atheoi@gmail.com>
Cc: 354622@bugs.debian.org, eric@debian.org
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Mon, 2 Oct 2006 10:37:08 -0400
On 2-Oct-06, at 2:02 AM, Conrad Knauer wrote:

> On 10/1/06, Eric Dorland <eric@debian.org> wrote:
>
>> > http://www.mozilla.org/foundation/trademarks/community-edition- 
>> policy.html
>> >
>> > One of the permitted changes is "Porting the software to  
>> different operating systems"
>>
>> I'm not sure that's what that clause really means, but one easy
>> example is backported security fixes. Another is just regular bug
>> fixes that aren't in the official releases for whatever reason.
>
> Personally I would say that Debian packages with extra security and
> bug fixes would 'exceed the quality' of the official Mozilla packages
> and thus be a good example of what Community Editions are about:

To my knowledge, Debian isn't including "extra" security fixes over  
and above what we're shipping.  If they are, that would possibly be  
considered an act of bad faith between downstream and upstream,  
unless the security bug was Debian specific.  This type of potential  
"Firefox from foo is better than Firefox from bar" comparison is  
something we have explicitly avoided.

The Community Editions policy is possibly unclear, but it's really  
talking about porting to BeOS or SkyOS or some other unsupported OS.   
There is no provision for patching the source code otherwise.

-- Mike



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #236 received at 354622@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Conrad Knauer <atheoi@gmail.com>
Cc: 354622@bugs.debian.org, mconnor@mozilla.com
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Mon, 2 Oct 2006 11:02:05 -0400
[Message part 1 (text/plain, inline)]
* Conrad Knauer (atheoi@gmail.com) wrote:
> On 10/1/06, Eric Dorland <eric@debian.org> wrote:
> 
> >> 
> >http://www.mozilla.org/foundation/trademarks/community-edition-policy.html
> >>
> >> One of the permitted changes is "Porting the software to different 
> >operating systems"
> >
> >I'm not sure that's what that clause really means, but one easy
> >example is backported security fixes. Another is just regular bug
> >fixes that aren't in the official releases for whatever reason.
> 
> Personally I would say that Debian packages with extra security and
> bug fixes would 'exceed the quality' of the official Mozilla packages
> and thus be a good example of what Community Editions are about:

You might say that, but when this came up the last time this was not
the interpretation of Gervase and the Mozilla Foundation. 

> >> "It is very important that Community Editions of Firefox and
> >> Thunderbird meet (or exceed) the quality level people have come to
> >> associate with Mozilla Firefox and Mozilla Thunderbird. We need to
> >> ensure this, but we don't want to get in people's way. So, we are
> >> taking an optimistic approach."

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Connor <mconnor@mozilla.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #246 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Connor <mconnor@mozilla.com>
To: Eric Dorland <eric@debian.org>
Cc: Mike Hommey <mh@glandium.org>, 354622@bugs.debian.org
Subject: Re: Bug#354622: Maybe a solution to use the name *and* the logo
Date: Mon, 2 Oct 2006 11:05:15 -0400
On 2-Oct-06, at 12:18 AM, Eric Dorland wrote:

> * Mike Hommey (mh@glandium.org) wrote:
>> Hi all,
>>
>> There is maybe a way for debian to keep the name and use *a* logo.  
>> Note
>> that it is not *the* logo, since firefox logo is non-free, but the
>> nuvola icon theme has an LGPL version of the firefox logo, made from
>> scratch, and pretty similar to the original one. If we can use  
>> this logo
>> with the firefox name, the only remaining issue is patch validation.
>>
>> Mike, would it be possible to use this nuvola logo[1] instead of the
>> official one ?
>
> This seems kind of questionable. It's basically
> indistinguishable. Is this sort of thing really permissible under
> copyright?

(IANAL, obviously)

Almost certainly not ok.  I can recreate GM's logo in Photoshop, but  
that doesn't mean I can then allow others to create derivative works  
without having issues with copyright/trademark law.

It's a legal minefield at best, an outright violation at worst, so I  
think that's probably not an option you want to take... 



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #251 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Steve Langasek <vorlon@debian.org>, 354622@bugs.debian.org
Cc: Eric Dorland <eric@debian.org>, Francesco Poli <frx@firenze.linux.it>
Subject: Re: Bug#354622: Renaming Mozilla applications
Date: Mon, 2 Oct 2006 17:33:08 +0200
On Mon, Oct 02, 2006 at 03:33:15AM -0700, Steve Langasek wrote:
> > Well having transition packages would definitely be part of the plan,
> > so that shouldn't be an issue.
> 
> FWIW, I don't see any substantial difference between a package named
> "firefox" that is a transition package, and one that contains the browser
> software.  If one is determined to infringe a trademark, why would the other
> not?

The trademark infringement is when providing something that is called firefox
but that is not quite firefox, but still calls itself firefox.
Providing a transition package so that users are able to get what we want to
provide them as an alternative to firefox is a different situation : it is
providing something that is called firefox, that is empty and installs
something else that is called iceweasel and calls itself iceweasel. Where is
the trademark infringement ? I can still write "firefox is shit" and not
infringe any trademark.

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@kuroneko.ca>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #256 received at 354622@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@kuroneko.ca>
To: Mike Connor <mconnor@mozilla.com>
Cc: Conrad Knauer <atheoi@gmail.com>, 354622@bugs.debian.org
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Mon, 2 Oct 2006 11:48:18 -0400
[Message part 1 (text/plain, inline)]
* Mike Connor (mconnor@mozilla.com) wrote:
> On 2-Oct-06, at 2:02 AM, Conrad Knauer wrote:
> 
> >On 10/1/06, Eric Dorland <eric@debian.org> wrote:
> >
> >>> http://www.mozilla.org/foundation/trademarks/community-edition- 
> >>policy.html
> >>>
> >>> One of the permitted changes is "Porting the software to  
> >>different operating systems"
> >>
> >>I'm not sure that's what that clause really means, but one easy
> >>example is backported security fixes. Another is just regular bug
> >>fixes that aren't in the official releases for whatever reason.
> >
> >Personally I would say that Debian packages with extra security and
> >bug fixes would 'exceed the quality' of the official Mozilla packages
> >and thus be a good example of what Community Editions are about:
> 
> To my knowledge, Debian isn't including "extra" security fixes over  
> and above what we're shipping.  If they are, that would possibly be  
> considered an act of bad faith between downstream and upstream,  
> unless the security bug was Debian specific.  This type of potential  
> "Firefox from foo is better than Firefox from bar" comparison is  
> something we have explicitly avoided.

As pointed out many times, we've had to backport security fixes
ourselves into 1.0.4 because security support has dropped for the 1.0
branch. So whether that's "extra" or not, I don't know. Even if we
added a security patch that the original version didn't have I don't
see how we could act in bad faith. Even if we somehow neglected to
file a bug report on it, it's not like we could hide the fact that we
had added the patch from you.
 
> The Community Editions policy is possibly unclear, but it's really  
> talking about porting to BeOS or SkyOS or some other unsupported OS.   
> There is no provision for patching the source code otherwise.

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@kuroneko.ca>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Connor <mconnor@mozilla.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #266 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Connor <mconnor@mozilla.com>
To: Eric Dorland <eric@kuroneko.ca>
Cc: Conrad Knauer <atheoi@gmail.com>, 354622@bugs.debian.org
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Mon, 2 Oct 2006 12:46:10 -0400
>> To my knowledge, Debian isn't including "extra" security fixes over
>> and above what we're shipping.  If they are, that would possibly be
>> considered an act of bad faith between downstream and upstream,
>> unless the security bug was Debian specific.  This type of potential
>> "Firefox from foo is better than Firefox from bar" comparison is
>> something we have explicitly avoided.
>
> As pointed out many times, we've had to backport security fixes
> ourselves into 1.0.4 because security support has dropped for the 1.0
> branch. So whether that's "extra" or not, I don't know. Even if we
> added a security patch that the original version didn't have I don't
> see how we could act in bad faith. Even if we somehow neglected to
> file a bug report on it, it's not like we could hide the fact that we
> had added the patch from you.

Backporting security fixes from newer releases is not really "extra"  
in my mind.  It'd be fixing stuff that isn't fixed elsewhere without  
discussing it with us.

The argument for fixing upstream is that by taking a fix for a bug  
that's unpatched upstream, you will call attention to that potential  
exploit, and thus put non-Debian users at risk. The problem is  
exponentially worse if we don't know the issue exists and thus don't  
know we need to fix it.  If that's not malicious, its at least  
irresponsible, in my opinion.

-- Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #271 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Mike Connor <mconnor@mozilla.com>, 354622@bugs.debian.org
Cc: Eric Dorland <eric@kuroneko.ca>, Conrad Knauer <atheoi@gmail.com>
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Mon, 2 Oct 2006 19:39:39 +0200
On Mon, Oct 02, 2006 at 12:46:10PM -0400, Mike Connor <mconnor@mozilla.com> wrote:
> 
> >>To my knowledge, Debian isn't including "extra" security fixes over
> >>and above what we're shipping.  If they are, that would possibly be
> >>considered an act of bad faith between downstream and upstream,
> >>unless the security bug was Debian specific.  This type of potential
> >>"Firefox from foo is better than Firefox from bar" comparison is
> >>something we have explicitly avoided.
> >
> >As pointed out many times, we've had to backport security fixes
> >ourselves into 1.0.4 because security support has dropped for the 1.0
> >branch. So whether that's "extra" or not, I don't know. Even if we
> >added a security patch that the original version didn't have I don't
> >see how we could act in bad faith. Even if we somehow neglected to
> >file a bug report on it, it's not like we could hide the fact that we
> >had added the patch from you.
> 
> Backporting security fixes from newer releases is not really "extra"  
> in my mind.  It'd be fixing stuff that isn't fixed elsewhere without  
> discussing it with us.
> 
> The argument for fixing upstream is that by taking a fix for a bug  
> that's unpatched upstream, you will call attention to that potential  
> exploit, and thus put non-Debian users at risk.

Are you suggesting we don't patch the branches you don't support any
more ?

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@kuroneko.ca>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #276 received at 354622@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@kuroneko.ca>
To: Mike Hommey <mh@glandium.org>
Cc: Steve Langasek <vorlon@debian.org>, 354622@bugs.debian.org, Francesco Poli <frx@firenze.linux.it>
Subject: Re: Bug#354622: Renaming Mozilla applications
Date: Mon, 2 Oct 2006 14:38:51 -0400
[Message part 1 (text/plain, inline)]
* Mike Hommey (mh@glandium.org) wrote:
> On Mon, Oct 02, 2006 at 03:33:15AM -0700, Steve Langasek wrote:
> > > Well having transition packages would definitely be part of the plan,
> > > so that shouldn't be an issue.
> > 
> > FWIW, I don't see any substantial difference between a package named
> > "firefox" that is a transition package, and one that contains the browser
> > software.  If one is determined to infringe a trademark, why would the other
> > not?
> 
> The trademark infringement is when providing something that is called firefox
> but that is not quite firefox, but still calls itself firefox.
> Providing a transition package so that users are able to get what we want to
> provide them as an alternative to firefox is a different situation : it is
> providing something that is called firefox, that is empty and installs
> something else that is called iceweasel and calls itself iceweasel. Where is
> the trademark infringement ? I can still write "firefox is shit" and not
> infringe any trademark.

Exactly. If the package is called firefox then it can be perceived as
claiming it is firefox. If we provide an empty package called firefox
to ease the upgrade to iceweasel or what have you, it just looks like
we're providing an upgrade path from firefox to the new package. 

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@kuroneko.ca>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #281 received at 354622@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@kuroneko.ca>
To: Mike Connor <mconnor@mozilla.com>
Cc: Conrad Knauer <atheoi@gmail.com>, 354622@bugs.debian.org
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Mon, 2 Oct 2006 15:58:18 -0400
[Message part 1 (text/plain, inline)]
* Mike Connor (mconnor@mozilla.com) wrote:
> 
> >>To my knowledge, Debian isn't including "extra" security fixes over
> >>and above what we're shipping.  If they are, that would possibly be
> >>considered an act of bad faith between downstream and upstream,
> >>unless the security bug was Debian specific.  This type of potential
> >>"Firefox from foo is better than Firefox from bar" comparison is
> >>something we have explicitly avoided.
> >
> >As pointed out many times, we've had to backport security fixes
> >ourselves into 1.0.4 because security support has dropped for the 1.0
> >branch. So whether that's "extra" or not, I don't know. Even if we
> >added a security patch that the original version didn't have I don't
> >see how we could act in bad faith. Even if we somehow neglected to
> >file a bug report on it, it's not like we could hide the fact that we
> >had added the patch from you.
> 
> Backporting security fixes from newer releases is not really "extra"  
> in my mind.  It'd be fixing stuff that isn't fixed elsewhere without  
> discussing it with us.
> 
> The argument for fixing upstream is that by taking a fix for a bug  
> that's unpatched upstream, you will call attention to that potential  
> exploit, and thus put non-Debian users at risk. The problem is  
> exponentially worse if we don't know the issue exists and thus don't  
> know we need to fix it.  If that's not malicious, its at least  
> irresponsible, in my opinion.

Well on the one hand if there's a patch available to fix a security
issue that I can get my hands on, I probably won't wait until the
official release from Mozilla to apply the fix. If I can get my hands
on it, that means umpteen many people can too, so I would see no point
in delaying even if it does draw attention to the vulnerability.

On the other hand if somehow I was privy to a vulnerability that
upstream wasn't, of course I would report it. I'm a good citizen in
this community as I'm sure nearly all of Debian is. But my point was
even if I didn't (eg, hit by a bus, had dental surgery, was mad at you
because you ran over my puppy or merely because I forgot) I couldn't
actually hide the fact that I did it effectively. It's all out in the
open, so I don't see how I could be accused of bad faith or
irresponsibility. 

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@kuroneko.ca>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Mike Connor <mconnor@mozilla.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #291 received at 354622@bugs.debian.org (full text, mbox):

From: Mike Connor <mconnor@mozilla.com>
To: Mike Hommey <mh@glandium.org>
Cc: 354622@bugs.debian.org, Eric Dorland <eric@kuroneko.ca>, Conrad Knauer <atheoi@gmail.com>
Subject: Re: Bug#354622: Using Firefox as the app name without official branding is still a trademark violation
Date: Mon, 2 Oct 2006 22:37:20 -0400
On 2-Oct-06, at 1:39 PM, Mike Hommey wrote:

>> Backporting security fixes from newer releases is not really "extra"
>> in my mind.  It'd be fixing stuff that isn't fixed elsewhere without
>> discussing it with us.
>>
>> The argument for fixing upstream is that by taking a fix for a bug
>> that's unpatched upstream, you will call attention to that potential
>> exploit, and thus put non-Debian users at risk.
>
> Are you suggesting we don't patch the branches you don't support any
> more ?

Not sure why you got that impression.   I think it'd be better,  
assuming anyone aside from Debian still cares about 1.0.x, to patch  
mozilla.org CVS and share the goodness.  But that's going offtopic,  
and I've fallen into that trap too much in this thread.



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@derobert.net>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #296 received at 354622@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@derobert.net>
To: 354622-submitter@bugs.debian.org, 354622@bugs.debian.org
Subject: Thunderbird?
Date: Sat, 07 Oct 2006 17:49:47 -0400
Hmmmm, before it gets even closer to the hopeful release date, does this
apply the Thunderbird as well?



Message sent on to Mike Connor <mconnor@mozilla.com>:
Bug#354622. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Message #302 received at 354622@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 354622@bugs.debian.org
Subject: gnuzilla / iceweasel
Date: Mon, 9 Oct 2006 19:59:00 +0200
I have noticed that, although Iceweasel is mentioned in this thread (as a rename
possibility), and Debian Firefox maintainers are well aware of the existance of
an external project to maintain a DFSG-clean Firefox derivative, there isn't any
explicit mention about it.

I also noticed that the Iceweasel maintainers are concerned with awareness of
their effort within the Debian community (or so say in their mailing list).

So for the sake of people reading this thread:

  http://www.gnu.org/software/gnuzilla/

-- 
Robert Millan

My spam trap is honeypot@aybabtu.com.  Note: this address is only intended for
spam harvesters.  Writing to it will get you added to my black list.



Bug reassigned from package `firefox' to `firefox,thunderbird'. Request was from Anthony DeRobertis <anthony@derobert.net> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `firefox,thunderbird' to `firefox,thunderbird'. Request was from Anthony DeRobertis <anthony@derobert.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#354622; Package firefox,thunderbird. Full text and rfc822 format available.

Acknowledgement sent to Anthony DeRobertis <anthony@derobert.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #311 received at 354622-quiet@bugs.debian.org (full text, mbox):

From: Anthony DeRobertis <anthony@derobert.net>
To: control@bugs.debian.org, 354622-quiet@bugs.debian.org
Subject: Re: Mozilla Thunderbird
Date: Mon, 09 Oct 2006 23:10:21 -0400
reassign 354622 firefox,thunderbird
thanks

In response to my question if bug 354622 applies to Thunderbird,
Christopher Beard replied to me (via private email[0]) that Firefox's
trademark policies apply to Thunderbird as well.

Chris, I'm cc'ing this to you so that you may forward that message to
the BTS if you wish (send it to  354622@bugs.debian.org) or, if I've
misunderstood, correct me.



[0]: Message-Id 6F430987-6F53-4067-B45B-BD74C870DE7E@mozilla.com>
     dated Mon, 9 Oct 2006 04:46:34 -0700.


[It seems control@ ate this...]



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>, Alexander Sack <asac@debian.org>:
Bug#354622; Package firefox,thunderbird. Full text and rfc822 format available.

Acknowledgement sent to Joel <joelpublic@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>, Alexander Sack <asac@debian.org>. Full text and rfc822 format available.

Message #316 received at 354622@bugs.debian.org (full text, mbox):

From: Joel <joelpublic@gmail.com>
To: 354622@bugs.debian.org
Subject: Mozilla/SunBird
Date: Tue, 10 Oct 2006 22:08:14 +1000
Given that the restriction applies to firefox and thunderbird it
probably applies to SunBird as well right?



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>, Alexander Sack <asac@debian.org>:
Bug#354622; Package firefox,thunderbird. Full text and rfc822 format available.

Acknowledgement sent to Alexander Sack - Debian Bugmail <asac@debian.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>, Alexander Sack <asac@debian.org>. Full text and rfc822 format available.

Message #321 received at 354622@bugs.debian.org (full text, mbox):

From: Alexander Sack - Debian Bugmail <asac@debian.org>
To: Joel <joelpublic@gmail.com>, 354622@bugs.debian.org
Subject: Re: Bug#354622: Mozilla/SunBird
Date: Tue, 10 Oct 2006 15:05:24 +0200
On Tue, Oct 10, 2006 at 10:08:14PM +1000, Joel wrote:
> Given that the restriction applies to firefox and thunderbird it
> probably applies to SunBird as well right?
> 
> 

Yes it does, but sunbird won't ship in debian etch as they don't
release from any stable branch. However, I guess removing it from
experimental because of that is not needed atm.

 - Alexander

 p.s. please take care that the bug is listed as To: or CC: when 
      replying to this mail (e.g. /reply-all/). 
-- 
 GPG messages preferred.   |  .''`.  ** Debian GNU/Linux **
 Alexander Sack            | : :' :      The  universal
 asac@debian.org           | `. `'      Operating System
 http://www.asoftsite.org  |   `-    http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>, Alexander Sack <asac@debian.org>:
Bug#354622; Package firefox,thunderbird. Full text and rfc822 format available.

Acknowledgement sent to "peter green" <plugwash@P10Link.net>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>, Alexander Sack <asac@debian.org>. Full text and rfc822 format available.

Message #326 received at 354622@bugs.debian.org (full text, mbox):

From: "peter green" <plugwash@P10Link.net>
To: <354622@bugs.debian.org>
Subject: gnuzilla iceweasel project
Date: Fri, 13 Oct 2006 21:25:51 +0100
i'm guessing from the comment "Also, they distribute non-free software as
plug-ins" that gnuzilla has messed with the plugin finder, is this something
that debian wants? (it seems like it would interfere with a lot of users who
wan't stuff like flash to work)




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>, Alexander Sack <asac@debian.org>:
Bug#354622; Package firefox,thunderbird. Full text and rfc822 format available.

Acknowledgement sent to Alexander Sack - Debian Bugmail <asac@debian.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>, Alexander Sack <asac@debian.org>. Full text and rfc822 format available.

Message #331 received at 354622@bugs.debian.org (full text, mbox):

From: Alexander Sack - Debian Bugmail <asac@debian.org>
To: peter green <plugwash@P10Link.net>, 354622@bugs.debian.org
Subject: Re: Bug#354622: gnuzilla iceweasel project
Date: Fri, 13 Oct 2006 22:51:28 +0200
On Fri, Oct 13, 2006 at 09:25:51PM +0100, peter green wrote:
> i'm guessing from the comment "Also, they distribute non-free software as
> plug-ins" that gnuzilla has messed with the plugin finder, is this something
> that debian wants? (it seems like it would interfere with a lot of users who
> wan't stuff like flash to work)
> 

proprietary flash would work anyway. It would just be that the user
would be directed by default to a free plugin - if such exists.

But don't worry, for etch we will ship icelizards as we did before
... just rebranded.

Anyway, this all will be discussed with gnu project as soon as we will
try to merge effords. This will happen earliest mid Nov ... when I
return from Vacation.

 - Alexander

 p.s. please take care that the bug is listed as To: or CC: when 
      replying to this mail (e.g. /reply-all/). 
-- 
 GPG messages preferred.   |  .''`.  ** Debian GNU/Linux **
 Alexander Sack            | : :' :      The  universal
 asac@debian.org           | `. `'      Operating System
 http://www.asoftsite.org  |   `-    http://www.debian.org/



Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Alexander Sack <asac@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mike Connor <mconnor@mozilla.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #338 received at 354622-close@bugs.debian.org (full text, mbox):

From: Alexander Sack <asac@debian.org>
To: 354622-close@bugs.debian.org
Subject: Bug#354622: fixed in icedove 1.5.0.7-3
Date: Sat, 14 Oct 2006 11:25:37 -0700
Source: icedove
Source-Version: 1.5.0.7-3

We believe that the bug you reported is fixed in the latest version of
icedove, which is due to be installed in the Debian FTP archive:

icedove-dbg_1.5.0.7-3_i386.deb
  to pool/main/i/icedove/icedove-dbg_1.5.0.7-3_i386.deb
icedove-dev_1.5.0.7-3_i386.deb
  to pool/main/i/icedove/icedove-dev_1.5.0.7-3_i386.deb
icedove-gnome-support_1.5.0.7-3_i386.deb
  to pool/main/i/icedove/icedove-gnome-support_1.5.0.7-3_i386.deb
icedove-inspector_1.5.0.7-3_i386.deb
  to pool/main/i/icedove/icedove-inspector_1.5.0.7-3_i386.deb
icedove-typeaheadfind_1.5.0.7-3_i386.deb
  to pool/main/i/icedove/icedove-typeaheadfind_1.5.0.7-3_i386.deb
icedove_1.5.0.7-3.diff.gz
  to pool/main/i/icedove/icedove_1.5.0.7-3.diff.gz
icedove_1.5.0.7-3.dsc
  to pool/main/i/icedove/icedove_1.5.0.7-3.dsc
icedove_1.5.0.7-3_i386.deb
  to pool/main/i/icedove/icedove_1.5.0.7-3_i386.deb
icedove_1.5.0.7.orig.tar.gz
  to pool/main/i/icedove/icedove_1.5.0.7.orig.tar.gz
mozilla-thunderbird-dev_1.5.0.7-3_all.deb
  to pool/main/i/icedove/mozilla-thunderbird-dev_1.5.0.7-3_all.deb
mozilla-thunderbird-inspector_1.5.0.7-3_all.deb
  to pool/main/i/icedove/mozilla-thunderbird-inspector_1.5.0.7-3_all.deb
mozilla-thunderbird-typeaheadfind_1.5.0.7-3_all.deb
  to pool/main/i/icedove/mozilla-thunderbird-typeaheadfind_1.5.0.7-3_all.deb
mozilla-thunderbird_1.5.0.7-3_all.deb
  to pool/main/i/icedove/mozilla-thunderbird_1.5.0.7-3_all.deb
thunderbird-inspector_1.5.0.7-3_all.deb
  to pool/main/i/icedove/thunderbird-inspector_1.5.0.7-3_all.deb
thunderbird-typeaheadfind_1.5.0.7-3_all.deb
  to pool/main/i/icedove/thunderbird-typeaheadfind_1.5.0.7-3_all.deb
thunderbird_1.5.0.7-3_all.deb
  to pool/main/i/icedove/thunderbird_1.5.0.7-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 354622@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander Sack <asac@debian.org> (supplier of updated icedove package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 12 Oct 2006 13:00:00 +0100
Source: icedove
Binary: thunderbird-typeaheadfind icedove-inspector icedove-dev icedove mozilla-thunderbird-inspector icedove-gnome-support mozilla-thunderbird-dev thunderbird thunderbird-inspector icedove-typeaheadfind mozilla-thunderbird mozilla-thunderbird-typeaheadfind icedove-dbg
Architecture: source all i386
Version: 1.5.0.7-3
Distribution: unstable
Urgency: medium
Maintainer: Alexander Sack <asac@debian.org>
Changed-By: Alexander Sack <asac@debian.org>
Description: 
 icedove    - free/unbranded thunderbird mail client
 icedove-dbg - debugging symbols for icedove/thunderbird
 icedove-dev - development files for icedove/thunderbird
 icedove-gnome-support - gnome support package for icedove/thunderbird
 icedove-inspector - dom inspector extension for icedove/thunderbird
 icedove-typeaheadfind - typeaheadfind extension for icedove/thunderbird
 mozilla-thunderbird - Transition package for icedove rename
 mozilla-thunderbird-dev - Transition package for icedove-dev rename
 mozilla-thunderbird-inspector - Transition package for icedove-inspector rename
 mozilla-thunderbird-typeaheadfind - Transition package for icedove-typeaheadfind rename
 thunderbird - Transition package for icedove rename
 thunderbird-inspector - Transition package for icedove-inspector rename
 thunderbird-typeaheadfind - Transition package for icedove-typeaheadfind rename
Closes: 354622
Changes: 
 icedove (1.5.0.7-3) unstable; urgency=medium
 .
   * unbrand thunderbird mail -> Icedove Mail/News due
     to trademark issues (Closes: 354622)
Files: 
 7b5f68d5a1bda45a99795e88233e4e0d 1770 mail optional icedove_1.5.0.7-3.dsc
 4e43a174c53adf09382a4f959b86abe6 35412353 mail optional icedove_1.5.0.7.orig.tar.gz
 931b5dbff04fa535a89a27f768780b6e 459047 mail optional icedove_1.5.0.7-3.diff.gz
 26bb3f1246c290b16a54fcc45be83584 10770274 mail optional icedove_1.5.0.7-3_i386.deb
 93894f12965ea2d8615eb63a2611ab24 187904 mail optional icedove-inspector_1.5.0.7-3_i386.deb
 1ac92c1255e77125684505bbd12c4b7f 45110 mail optional icedove-gnome-support_1.5.0.7-3_i386.deb
 840e4a833d36d050f1d09f5a4114a8aa 55476 mail optional icedove-typeaheadfind_1.5.0.7-3_i386.deb
 39f5e9f9692dec73e92bbc58d924208d 3611516 mail optional icedove-dev_1.5.0.7-3_i386.deb
 3881f349629396656560e6bea176b447 50505566 mail optional icedove-dbg_1.5.0.7-3_i386.deb
 ffcf9cd77bcdb18d89864e0f098de22c 25970 mail optional thunderbird_1.5.0.7-3_all.deb
 d02119796066b573734d1fca22bb2946 25984 mail optional mozilla-thunderbird_1.5.0.7-3_all.deb
 85b4ff89793ace8a03dee2f3ad6bded3 26012 mail optional mozilla-thunderbird-inspector_1.5.0.7-3_all.deb
 b4f6b1ae12b68b99b5a16f43c177de85 25992 mail optional thunderbird-inspector_1.5.0.7-3_all.deb
 4236cf65c11f3cea5de4ef2871ed522b 26014 mail optional mozilla-thunderbird-typeaheadfind_1.5.0.7-3_all.deb
 c8ce2b749644f0ed28827a9f24e81be2 26010 mail optional thunderbird-typeaheadfind_1.5.0.7-3_all.deb
 64d2c7f8d2660efa5165bcac0c39cc63 25996 mail optional mozilla-thunderbird-dev_1.5.0.7-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iQIVAwUBRTAKYsjxMGWNdiHmAQLGEQ/+OjNJ0iuILsLsKUqRIvjX/PPLSkFtdjcA
4jjhwtZ9Q+q2xAlnwJABfwc5OId/zNsr0AcCuksbdovXcWthrmUcdQbbYgVpiQ/d
7MEdTfZ7m+xRxAjyFLbZpdJlTFNxL5LSx1QZNrBisS1qPCCIj++4eFIv2UoiZ64r
8o2quRD5uf6AcnH5kO3NDhybjP5QmAu9y5HQ94aPSVAfPNvaDtwxQs2Bjb3MUHaN
j1JqjvuOTV7TIR0YNLTGc85HN4JiS7DxTQqi0zOFE2HwTv6aTg7vQcjcMFTU3hEg
/SKAwx7Sj7feXI4jubx6xx/m+RXelrkg/6MuLENq+MH0Q+BdVs/UmGoxwuM3H/IL
TbL86rDhHZZ9nrQQkAu9j6b2XZm35ytjZJ3ntzHsa2qMmWcOXICIlHphmowWgUEK
Bawz1hgxLe0EQyDs7TYkufmrxGa9OXVCMlo5qTed6k1RBDXK510by5ThTRVbzJ7H
3snt7yd6PxMI2Zq5Z1RmWiC+4YuhXUKEU+K0NlypxfSpuCSkzXzHLNQGnx8rDkD8
t0cZDoFvEfojSJ+i1Qrqdu5z0E8LqkLfk4r4TYBLdmyGxMHA8mfc9aH7k1wx5ZNU
vLVzV2odho8ZvKXJL3IbU9hss68HaAcQpZyy5uxZzzXPwtUi8ehnE6XxOwk5Sxw1
ndK5InDQ0NY=
=5VXG
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>, Alexander Sack <asac@debian.org>:
Bug#354622; Package firefox,thunderbird. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>, Alexander Sack <asac@debian.org>. Full text and rfc822 format available.

Message #343 received at 354622@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 354622@bugs.debian.org
Subject: Is the bug fixed for Firefox too?
Date: Sun, 15 Oct 2006 01:09:03 +0200
[Message part 1 (text/plain, inline)]
Hi!

The BTS seems to consider this bug as closed, but the upload that
closed it seems to only concern thunderbird (which has been renamed as
"icedove").

Has firefox been renamed too?
Or should the bug be reopened and reassigned to firefox?



-- 
But it is also tradition that times *must* and always
do change, my friend.   -- from _Coming to America_
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#354622; Package firefox,thunderbird. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. Full text and rfc822 format available.

Message #348 received at 354622@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Francesco Poli <frx@firenze.linux.it>, 354622@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#354622: Is the bug fixed for Firefox too?
Date: Sat, 14 Oct 2006 22:53:28 -0400
[Message part 1 (text/plain, inline)]
reopen 354622
reassign 354622 firefox
thanks

* Francesco Poli (frx@firenze.linux.it) wrote:
> Hi!
> 
> The BTS seems to consider this bug as closed, but the upload that
> closed it seems to only concern thunderbird (which has been renamed as
> "icedove").
> 
> Has firefox been renamed too?
> Or should the bug be reopened and reassigned to firefox?

Not yet, and indeed it should. 

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `firefox,thunderbird' to `firefox'. Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Message #355 received at 354622@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: control@bugs.debian.org
Cc: 354622@bugs.debian.org, Anthony DeRobertis <anthony@derobert.net>
Subject: Please don't assign bugs that are different to two packages at once
Date: Mon, 16 Oct 2006 16:00:13 -0700
clone 354622 -1 -2
reassign -1 thunderbird
fixed -1 1.5.0.7-3
reassign -2 sunbird
thanks

The only time assigning a bug to a comma delinated list of packages is
appropriate is when fixing the bug in one of the packages would fix
them in all of the packages. Otherwise you should clone the bug, and
reassign it.


Don Armstrong

-- 
"The trouble with you, Ibid" he said, "is that you think you're the
biggest bloody authority on everything"
 -- Terry Pratchet _Pyramids_ p146

http://www.donarmstrong.com              http://rzlab.ucr.edu



Bug 354622 cloned as bugs 393592, 393593. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 1.5.dfsg+1.5.0.7-2. Request was from Filipus Klutiero <cheal@hotpop.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #364 received at 354622@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@fastmail.fm>
To: 354622@bugs.debian.org, mconnor@mozilla.com
Subject: Re: Bug#354622: Using Firefox as the app name without official branding
Date: Tue, 17 Oct 2006 06:41:49 -0400
mconnor@mozilla.com wrote:
>Since there's no way of making the logo free without losing control over 
>the mark, 

FYI, we believe you are wrong about this.

Quoting Eric Dorland:
> split the license on
> the logo to have a DSFG-free copyright license and the same,
> restrictive trademark license.

This is essentially the planned route Debian is taking for its logo (the bug fix here
is taking a disturbingly long time, but hopefully it will happen soon).  There appears
to be no legal obstacle to this route (if you have legal advice to the contrary,
please share with debian-legal).  It appears that aggressive enforcement of trademarks
for their intended purpose, namely clearly identifying the origin and identity of a
product, is entirely DFSG-compatible (note the DFSG clause which specifies that name
change requirements are OK).  Restrictions which go beyond the original function of
trademarks are generally not DFSG-free, but are also unnecessary for trademark defense.

This is just an FYI matter, as it is really quite off the main topic of the bug.

-- 
Nathanael Nerode  <neroden@fastmail.fm>

A thousand reasons. http://www.thousandreasons.org/
Lies, theft, war, kidnapping, torture, rape, murder...
Get me out of this fascist nightmare!



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#354622; Package firefox. Full text and rfc822 format available.

Acknowledgement sent to paul cannon <pik@debian.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #369 received at 354622@bugs.debian.org (full text, mbox):

From: paul cannon <pik@debian.org>
To: 354622@bugs.debian.org, mconnor@mozilla.com
Subject: Re: Bug#354622: Using Firefox as the app name without official branding
Date: Tue, 17 Oct 2006 20:16:46 -0600
[Message part 1 (text/plain, inline)]
On Tue, Oct 17, 2006 at 06:41:49AM -0400, Nathanael Nerode wrote:
> mconnor@mozilla.com wrote:
> >Since there's no way of making the logo free without losing control over 
> >the mark, 
> 
> FYI, we believe you are wrong about this.
> 
> Quoting Eric Dorland:
> > split the license on
> > the logo to have a DSFG-free copyright license and the same,
> > restrictive trademark license.
> 
> <...> There appears
> to be no legal obstacle to this route (if you have legal advice to the contrary,
> please share with debian-legal).  It appears that aggressive enforcement of trademarks
> for their intended purpose, namely clearly identifying the origin and identity of a
> product, is entirely DFSG-compatible (note the DFSG clause which specifies that name
> change requirements are OK).  Restrictions which go beyond the original function of
> trademarks are generally not DFSG-free, but are also unnecessary for trademark defense.
> 
> This is just an FYI matter, as it is really quite off the main topic of the bug.

Is it, though? It seems to me this is exactly the topic of the bug.

All of Mozilla Corporation's stated objections to a DFSG-free logo would
appear to be answered by Nathanael's statement. If they can, in fact,
retain control over their mark through trademark laws, and maintain the
expectation of quality associated with it, and still make the logo
available under a free (copyright) license, is there a separate reason
for declining to do so?

If Mozilla Corp. releases the logos under a free license and we reach an
understanding about which patches we're going to put into the branded
firefox package, that fixes this bug, right?

-- 
paul (still hoping)
[signature.asc (application/pgp-signature, inline)]

Reply sent to Andreas Barth <aba@not.so.argh.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mike Connor <mconnor@mozilla.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #374 received at 354622-done@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: 354622-done@bugs.debian.org
Subject: Re: Renaming Mozilla applications
Date: Mon, 27 Nov 2006 14:00:39 +0100
Version: 2.0+dfsg-1

* Francesco Poli (frx@firenze.linux.it) [060927 14:38]:
> it's sad to see that the safer path (renaming Mozilla applications in
> order to avoid being restricted by any trademark policy) was really the
> one to choose...  :-(

This has now happend, and version 2.0+dfsg-1 in unstable is safe now.
The old version in testing not, but version tracking will take care of
that.

Cheers,
Andi
-- 
  http://home.arcor.de/andreas-barth/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 21:06:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:13:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.